<html>
<head>
<title>
MJK - Reaalifunktioleikkiä tasossa    
</title>
<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-MML-AM_CHTML"></script>
</head>

<body>
<script>JXG.Options.text.useMathJax = true;</script>

<body>
 
<H2>
Reaalifunktioleikkiä monin parametrein
</H2>

<div class="p"><!----></div>
<font size="+1">
Kuviossa voi leikkiä erilaisilla tyyppiä
<!--
\[
f(x) := C_1 e^{ax} \cos(bx) + C_2 e^{cx} \sin(dx) 
\]
-->
<br clear="all" /><table border="0" width="100%"><tr><td>
<table align="center" cellspacing="0"  cellpadding="2"><tr><td nowrap="nowrap" align="center">
<i>f</i>(<i>x</i>) = <i>C</i><sub>1</sub> <i>e</i><sup><i>ax</i></sup> cos(<i>bx</i>) + 
<i>C</i><sub>2</sub> <i>e</i><sup><i>cx</i></sup> sin(<i>dx</i>)</td></tr></table>
</td></tr></table>
olevilla funktioilla.
</font>
<p>
Kyseessä ovat erään toisen kertaluvun lineaarisen vakiokertoimisen homogeenisen differentiaaliyhtälön ratkaisut.
<p>
<table>
<tr>
<td>
<JSP>
${
Funktion
$}
#CODEBASE="http://cs.uef.fi/matematiikka/java/javasketchpad"
#ARCHIVE  = "jsp4.jar"
#WIDTH = 600
#HEIGHT= 530
#ALIGN    = Center
*Frame          =   1
*TextFont       =   "Helvetica"
*TextBold       =   1
*TextSize       =  18
*LabelFont      =   "Courier"
*LabelBold      =   1
*MeasureFont        =   "Courier"
*MeasureSize        =   14
*MeasureBold        =   1
*MeasureInDegrees   =   1
*DirectedAngles     =   0
*BackRed          = 250
*BackGreen        = 255
*BackBlue         = 250

$reset  FixedText(585,20,'Reset = ''R''')[red,bold,justifyRight];
$ctrace FixedText(560,523,'Clear trace-->')[red,justifyRight,hidden];
$xText  FixedText(585,245,'x')[bold, black,justifyCenter];
$yText  FixedText(295, 15,'y')[bold,black,justifyCenter];

${
The Plane Coordinate System
$}
$O      FixedPoint(300,250)[black,label('0')];
$I1     UnitPoint($O,50)[white,label('1'), layer(10), hidden];
$Xax    Line($I1,$O)[black];
$I  Point on object($Xax,1)[red,label('1'), layer(15)]; 

$R2 VectorTranslation($I,$O,$I)[white, label('2')];
$coord  Origin&Unit($O,$I)[black,hidden];


$C2 Circle($O,$R2)[black,hidden];
$J2 Point on object($C2, -1.5707963267948966192)[red, label('2'), layer(20)];
$S2 Segment($O,$J2)[hidden];
$J  Midpoint($S2)[white,label('1')];
$Yax    Line($J,$O)[black];

${
$Xaxis  AxisX($coord)[yellow,hidden];
$vert   AxisY($coord)[black,hidden];
$start  FixedPoint(300,420)[hidden];
$Yax    Ray($O,$start)[black];
$J      Intersect2($Yax,$UC)[white,label('1'),layer(20)];
$}

${
The Real Lines for a, b, c, d, e, f
$}
$ROa    FixedPoint(300,510)[white,label('0')];
$Refa   Translation($ROa,50,0)[hidden];
$Raya   Ray($Refa,$ROa)[hidden,black];
$Rykka  FixedPoint(350,510)[yellow, label('1')];
${
$Rykka  Point on object($Raya,1)[yellow, label('1')];
$}
$RLa    Line($Rykka,$ROa)[black];
$Rpta   Point on object($RLa,0.5)[label('a'),red];

$ROb    Translation($ROa,0,15)[white,label('0')];
$Refb   Translation($ROb,50,0)[hidden];
$Rayb   Ray($Refb,$ROb)[hidden,black];
${
$Rykkb  Point on object($Rayb,1)[yellow, label('1')];
$}
$Rykkb  Translation($Rykka,0,15)[yellow, label('1')];
$RLb    Line($Rykkb,$ROb)[black];
$Rptb   Point on object($RLb,-0.5)[label('b'),blue];

$ROc    Translation($ROb,0,15)[white,label('0')];
$Refc   Translation($ROc,50,0)[hidden];
$Rayc   Ray($Refc,$ROc)[hidden,black];
${
$Rykkc  Point on object($Rayc,1)[yellow, label('1')];
$}
$Rykkc  Translation($Rykkb,0,15)[yellow, label('1')];
$RLc    Line($Rykkc,$ROc)[black];
$Rptc   Point on object($RLc,0.5)[label('c'),black];

$ROd    Translation($ROc,0,15)[white,label('0')];
$Refd   Translation($ROd,50,0)[hidden];
$Rayd   Ray($Refd,$ROd)[hidden,black];
${
$Rykkd  Point on object($Rayd,1)[yellow, label('1')];
$}
$Rykkd  Translation($Rykkc,0,15)[yellow, label('1')];
$RLd    Line($Rykkd,$ROd)[black];

$Rptd   Point on object($RLd,-0.5)[label('d'),magenta];

$ROe    Translation($ROd,0,15)[white,label('0')];
$Refe   Translation($ROe,50,0)[hidden];
$Raye   Ray($Refe,$ROe)[hidden,black];
${
$Rykke  Point on object($Raye,1)[yellow, label('1')];
$}
$Rykke  Translation($Rykkd,0,15)[yellow, label('1')];
$RLe    Line($Rykke,$ROe)[black];

$Rpte   Point on object($RLe,0.5)[label('C1'),color(200,200,0)];

$ROf    Translation($ROe,0,15)[white,label('0')];
$Reff   Translation($ROf,50,0)[hidden];
$Rayf   Ray($Reff,$ROf)[hidden,black];
${
$Rykke  Point on object($Raye,1)[yellow, label('1')];
$}
$Rykkf  Translation($Rykke,0,15)[yellow, label('1')];
$RLf    Line($Rykkf,$ROf)[black];

$Rptf   Point on object($RLf,-0.5)[label('C2'),color(12,171,3)];

$Ra     Ratio/Points($ROa,$Rykka,$Rpta,500, 509,'a = ')[red];
$Rb     Ratio/Points($ROb,$Rykkb,$Rptb,500, 494,'b = ')[blue];
$Rc     Ratio/Points($ROc,$Rykkc,$Rptc,500, 479,'c = ')[black];
$Rd     Ratio/Points($ROd,$Rykkd,$Rptd,500, 464,'d = ')[magenta];
$Re     Ratio/Points($ROe,$Rykke,$Rpte,500, 449,'C1 = ')[color(200,200,0)];
$Rf     Ratio/Points($ROf,$Rykkf,$Rptf,500, 434,'C2 = ')[color(12,171,3)];

$LUpp   FixedPoint(0,420)[hidden];
$LLow   FixedPoint(0,530)[hidden];
$RLow   FixedPoint(605,530)[hidden];
$RUpp   FixedPoint(605,420)[hidden];
$RectA  Polygon($LUpp,$LLow,$RLow,$RUpp,$LUpp)[yellow,layer(100)];

${
The limiting segment
$}
$left   Point on object($Xax,-5)[cyan, label('A')];
$right  Point on object($Xax,5)[cyan, label('B')];
$SXax   Segment($right,$left)[cyan,thick];

$x  Point on object($Xax,-1)[red,label('x'), layer(30)];
$xval   Ratio/Points($O,$I,$x,0, 33,'x   = ')[red];

$Pval   Calculate(0,47,'f(x) = ','BG*@cos_ 2.718281828459045 AG*^ * E* DG*@sin_ 2.718281828459045 CG*^ * F* +')($Ra,$Rb,$Rc,$Rd,$Re,$Rf,$xval)[blue,hidden];
$Px    Dilation/MarkedRatio($J,$O,$Pval)[black, label('y = f(x)'),hidden];

$xL Parallel($Yax,$x)[color(0,150,0),hidden];
$yL Parallel($Xax,$Px)[color(0,150,0),hidden];
${
$PyL    Perpendicular($Yax,$Px)[color(0,150,0),hidden];
$}
$xPx   Intersect($xL,$yL)[blue,hidden];
$SxPx  Segment($x,$xPx)[blue,hidden];
$SPxxPx Segment($Px,$xPx)[blue,hidden];
$xPxtr Intersect($xL,$yL)[blue,traced,hidden];
$LocP  Locus($xPx,$x,$SXax,400)[blue];
{,calcLocus($Pval, $xval, 'x')}


${
$xL Perpendicular($Xax,$x)[color(0,150,0),hidden];
$yL Perpendicular($Yax,$Px)[color(0,150,0),hidden];

$PyL    Perpendicular($Yax,$Px)[color(0,150,0),hidden];
$xPx   Intersect($xL,$PyL)[blue,hidden];
$SxPx  Segment($x,$xPx)[blue,hidden];
$SPxxPx Segment($Px,$xPx)[blue,hidden];
$xPxtr Intersect($xL,$PyL)[blue,traced,hidden];
$LocP  Locus($xPx,$x,$SXax,100)[blue];
$}

${
$fval   Calculate(0,90,'sin(x) = ','A @sin_')($xval)[black,hidden];
$fx Dilation/MarkedRatio($J,$O,$fval)[black, label('y = f(x)')];
$xfx    Intersect($xL,$yL)[black,hidden];
$xfxtr  Intersect($xL,$yL)[black,traced,hidden];
$Sxfx   Segment($x,$xfx)[red,hidden];
$Sfxxfx Segment($fx,$xfx)[black,hidden];
$Locf   Locus($xfx,$x,$SXax,100)[black];

$SBS    ShowButton( 0,100, 'Segments')($xfx,$Sxfx,$Sfxxfx)[magenta,hidden];
$HBS    HideButton(100,100, 'Hide')    ($xfx,$Sxfx,$Sfxxfx)[magenta,hidden];

$SBTrex ShowButton( 0,120, 'Trace (x,sin(x))')($xfxtr,$ctrace)[magenta,hidden];
$HBTrex HideButton(100,120, 'Stop')         ($xfxtr)[magenta,hidden];

$SBLof  ShowButton( 0,140, 'Graph')($Locf)[magenta,hidden];
$HBLof  HideButton(100,140, 'Hide')      ($Locf)[magenta,hidden];

$SBex   ShowButton( 0,25, 'Show sin')($xval,$fx,$fval,$SBS,$HBS,$SBTrex,$HBTrex,$SBLof,$HBLof)[magenta,hidden];
$HBex   HideButton(85,25, 'Hide')(    $xval,$fx,$fval,$SBS,$HBS,$SBTrex,$HBTrex,$SBLof,$HBLof,$fx,$Locf,$xfx,$Sxfx,$Sfxxfx)[magenta,hidden];
$}

$AnB    AnimateButton(0,115,'Animate x')($x,$SXax)(3)(1)(1)[red, hidden]; 

$SBSP   ShowButton( 0, 50, 'Segments')($xPx,$SxPx,$SPxxPx)[blue,hidden];
$HBSP   HideButton(95, 50, 'Hide')    ($xPx,$SxPx,$SPxxPx)[blue,hidden];

$SBTrexk ShowButton( 0, 70, 'Trace (x,f(x))')($xPxtr,$ctrace)[blue,hidden];
$HBTrexk HideButton(95, 70, 'Stop')          ($xPxtr)[blue,hidden];

$SBLoP ShowButton( 0, 90, 'Graph')($LocP)[blue,hidden];
$HBLoP HideButton(95, 90, 'Hide')($LocP)[blue,hidden];

$SBexP  ShowButton( 0,  0, 'Show f(x)')($ctrace,$AnB,$Px,$Pval,$SBSP,$HBSP,$SBTrexk,$HBTrexk,$SBLoP,$HBLoP)[blue];
$HBexP  HideButton(75,  0, 'Hide')(     $AnB,$Px,$Pval,$SBSP,$HBSP,$SBTrexk,$HBTrexk,$SBLoP,$HBLoP,$Px,$LocP,$xPx,$SxPx,$SPxxPx)[blue];

$RLaA   Point on object($RLa,-2)[label('A'),white,hidden];
$RLaB   Point on object($RLa, 2)[label('B'),white,hidden];
$SRLaAB Segment($RLaB,$RLaA)[white,layer(10),hidden];
$AnSRLaAB AnimateButton(0,260,'Animoi a')($Rpta,$SRLaAB)(2)(0)(0)[black,hidden]; 

$RLbA   Point on object($RLb,-2)[label('A'),white,hidden];
$RLbB   Point on object($RLb, 2)[label('B'),white,hidden];
$SRLbAB Segment($RLbB,$RLbA)[white,layer(10),hidden];
$AnSRLbAB AnimateButton(0,280,'Animoi b')($Rptb,$SRLbAB)(1.9)(0)(0)[black,hidden]; 

$RLcA   Point on object($RLc,-2)[label('A'),white,hidden];
$RLcB   Point on object($RLc, 2)[label('B'),white,hidden];
$SRLcAB Segment($RLcB,$RLcA)[white,layer(10),hidden];
$AnSRLcAB AnimateButton(0,300,'Animoi c')($Rptc,$SRLcAB)(1.7)(0)(0)[black,hidden]; 

$RLdA   Point on object($RLd,-2)[label('A'),white,hidden];
$RLdB   Point on object($RLd, 2)[label('B'),white,hidden];
$SRLdAB Segment($RLdB,$RLdA)[white,layer(10),hidden];
$AnSRLdAB AnimateButton(0,320,'Animoi d')($Rptd,$SRLdAB)(1.4)(0)(0)[black,hidden]; 

$RLeA   Point on object($RLe,-2)[label('A'),white,hidden];
$RLeB   Point on object($RLe, 2)[label('B'),white,hidden];
$SRLeAB Segment($RLeB,$RLeA)[white,layer(10),hidden];
$AnSRLeAB AnimateButton(0,340,'Animoi e')($Rpte,$SRLeAB)(1.3)(0)(0)[black,hidden]; 

$RLfA   Point on object($RLf,-2)[label('A'),white,hidden];
$RLfB   Point on object($RLf, 2)[label('B'),white,hidden];
$SRLfAB Segment($RLfB,$RLfA)[white,layer(10),hidden];
$AnSRLfAB AnimateButton(0,360,'Animoi f')($Rptf,$SRLfAB)(1)(0)(0)[black,hidden]; 

$SBSegm ShowButton(0,225, 'Näytä')($RLaA,$RLaB,$SRLaAB,$RLbA,$RLbB,$SRLbAB,$RLcA,$RLcB,$SRLcAB,$RLdA,$RLdB,$SRLdAB,$RLeA,$RLeB,$SRLeAB,$RLfA,$RLfB,$SRLfAB)[black,hidden];
$HBSegm HideButton(0,225, 'Näytä')($RLaA,$RLaB,$SRLaAB,$RLbA,$RLbB,$SRLbAB,$RLcA,$RLcB,$SRLcAB,$RLdA,$RLdB,$SRLdAB,$RLeA,$RLeB,$SRLeAB,$RLfA,$RLfB,$SRLfAB)[black,hidden];

$SimBAn SimultaneousButton(0,200,'Animate coefficients')($AnSRLaAB,$AnSRLbAB,$AnSRLcAB,$AnSRLdAB,$AnSRLeAB,$AnSRLfAB,$SBSegm)[black];
SimultaneousButton(00,222,'Hide Segments')($HBSegm)[black];
</JSP>
</td>
<td>
Voit säätää kertoimien arvoja alaosan reaaliakseleilla, voit myös antaa kuvion tehdä muuntumisleikkiä itse (Animate coefficients).
<p>
Voit myös säätää kertoimen liikkumavälin vaikka "pisteeksi", kokeile!
</td>
</tr>
</table>
Martti E. Pesonen 10.10.2007, 9.11.2017
</html>
