<html>
<title>
Reaalimuuttujan vektorifunktio: parametrikäyrä tasossa
</title>

<body>

<H2>
Reaalimuuttujan vektorifunktio: parametrikäyrä tasossa
</H2>
<font SIZE=+1>
Kun kaksi reaalimuuttujan reaaliarvoista funktiota asetetaan vektoriksi, syntyy 
reaalimuuttujan vektoriarvoinen funktio, kaksiulotteinen <b><i>vektorifunktio</i></b>.
<br>
Kun kaksi jatkuvaa funktiota kuvataan ristikkäin koordinaattiakseleille,
syntyy <b><i>tasokäyrä</i></b>.
<br>
Vektorifunktiot soveltuvat kuvaamaan mm. useampiulotteista liikettä.
</font>

<table BORDER=3 WIDTH="100%" >
<tr>
<td WIDTH="400">
<font SIZE=+1>
Jos <i>f</i> ja <i>g</i> ovat funktioita <i>I</i> <tt>-></tt> <b>R</b>, syntyy vektorifunktio 
</font>
<blockquote>
 <i>H</i>(<i>x</i>) = (<i>f</i>(<i>x</i>), <i>g</i>(<i>x</i>)).
</blockquote>
</td>
<td>
<font SIZE=+1>
Lähtökohtaisesti reaalimuuttuja <i>x</i> on kuvion alareunaan asetetulla reaaliakselilla.
<br>
Funktioiden arvot ovat omilla akseleillaan.
</font>
</td>
</tr>
<tr>
<td>
<JSP>
${
Parametrifunktioista parametrikäyrä
#CODEBASE="http://www.joensuu.fi/matematiikka/java/javasketchpad"
$}
#CODEBASE="../../../../java/javasketchpad"
#ARCHIVE  = "jsp4.jar"
#WIDTH = 400
#HEIGHT= 420
#ALIGN    = Center
*Frame          =   1
*TextFont       =   "Helvetica"
*TextBold       =   1
*TextSize       =  18
*LabelFont      =   "Courier"
*LabelBold      =   1
*MeasureFont        =   "Courier"
*MeasureSize        =  14
*MeasureBold        =   1
*MeasureInDegrees   =   1
*DirectedAngles     =   0
*BackRed          =250
*BackGreen        =150
*BackBlue         = 50


$Clear  FixedText(365,413,'Puhdistus: x ->')[red,plain,font('Courier'),bold,justifyRight,hidden];

$O  FixedPoint(200,200)[black,label('0'),hidden];
$unitp  UnitPoint($O,25)[white, hidden];
$coord  Origin&Unit($O,$unitp)[black,hidden];
$vert   AxisY($coord)[hidden];
$hor    AxisX($coord)[hidden];

$Cyks1  Circle($O,$unitp)[black,hidden];
$yunitp Intersect2($vert,$Cyks1)[black,hidden];

$RO FixedPoint(200,400)[black,label('0')];
$Ref    Translation($RO,25,0)[hidden];
$Ray    Ray($Ref,$RO)[hidden,black];
${
$Rykk   Point on object($Ray,1)[white, label('1')];
$}
$Rykk   FixedPoint(225,400)[white, label('1')];
$RL Line($Rykk,$RO)[black];

$A  Point on object($RL,-8)[cyan,label('A'),hidden];
$B  Point on object($RL, 8)[cyan,label('B'),hidden];
$jAB    Segment($B,$A)[cyan,thick,layer(2),hidden];

$Rx Point on object($RL,4)[label('x'),layer(10)];
$mR1    VectorTranslation($RO,$Rykk,$RO)[white,label('-1'),hidden];
$mR2    VectorTranslation($mR1,$Rykk,$RO)[white,label('-2'),hidden];
$mR3    VectorTranslation($mR2,$Rykk,$RO)[white,label('-3'),hidden];
$mR4    VectorTranslation($mR3,$Rykk,$RO)[white,label('-4'),hidden];
$mR5    VectorTranslation($mR4,$Rykk,$RO)[white,label('-5'),hidden];
$R2 VectorTranslation($Rykk,$RO,$Rykk)[white,label('2'),hidden];
$R3 VectorTranslation($R2,$RO,$Rykk)[white,label('3'),hidden];
$R4 VectorTranslation($R3,$RO,$Rykk)[white,label('4'),hidden];
$R5 VectorTranslation($R4,$RO,$Rykk)[white,label('5'),hidden];

$LUpp   FixedPoint(0,390)[hidden];
$LLow   FixedPoint(0,420)[hidden];
$RLow   FixedPoint(400,420)[hidden];
$RUpp   FixedPoint(400,390)[hidden];
$RectA  Polygon($LUpp,$LLow,$RLow,$RUpp,$LUpp)[yellow,layer(100)];

$Lvert  Perpendicular($RL,$RO)[black,hidden];
$Cyks   Circle($RO,$Rykk)[black,hidden];
$yykk   Intersect1($Lvert,$Cyks)[black,hidden];
$Syks   Segment($Rykk,$RO)[black,hidden];

$fRykk  Point(225,150)[white,label('1')];
$fRref  Point(200,150)[hidden];
$fRL    Line($fRykk,$fRref)[blue];
$fCyks  Circle by radius($fRykk,$Syks)[hidden];
$fRO    Intersect1($fRL,$fCyks)[black, label('0')];
$mfR1   VectorTranslation($fRO,$fRykk,$fRO)[white,label('-1'),hidden];
$mfR2   VectorTranslation($mfR1,$fRykk,$fRO)[white,label('-2'),hidden];
$mfR3   VectorTranslation($mfR2,$fRykk,$fRO)[white,label('-3'),hidden];
$mfR4   VectorTranslation($mfR3,$fRykk,$fRO)[white,label('-4'),hidden];
$mfR5   VectorTranslation($mfR4,$fRykk,$fRO)[white,label('-5'),hidden];
$fR2    VectorTranslation($fRykk,$fRO,$fRykk)[white,label('2'),hidden];
$fR3    VectorTranslation($fR2,$fRO,$fRykk)[white,label('3'),hidden];
$fR4    VectorTranslation($fR3,$fRO,$fRykk)[white,label('4'),hidden];   
$fR5    VectorTranslation($fR4,$fRO,$fRykk)[white,label('5'),hidden];

$gRykk  Point(225,250)[white,label('1')];
$gRref  Point(200,250)[hidden];
$gRL    Line($gRykk,$gRref)[yellow];
$gCyks  Circle by radius($gRykk,$Syks)[hidden];
$gRO    Intersect1($gRL,$gCyks)[black, label('0')];
$mgR1   VectorTranslation($gRO,$gRykk,$gRO)[white,label('-1'),hidden];
$mgR2   VectorTranslation($mgR1,$gRykk,$gRO)[white,label('-2'),hidden];
$mgR3   VectorTranslation($mgR2,$gRykk,$gRO)[white,label('-3'),hidden];
$mgR4   VectorTranslation($mgR3,$gRykk,$gRO)[white,label('-4'),hidden];
$mgR5   VectorTranslation($mgR4,$gRykk,$gRO)[white,label('-5'),hidden];
$gR2    VectorTranslation($gRykk,$gRO,$gRykk)[white,label('2'),hidden];
$gR3    VectorTranslation($gR2,$gRO,$gRykk)[white,label('3'),hidden];
$gR4    VectorTranslation($gR3,$gRO,$gRykk)[white,label('4'),hidden];   
$gR5    VectorTranslation($gR4,$gRO,$gRykk)[white,label('5'),hidden];

$xval   Ratio/Points($RO,$Rykk,$Rx,0,40,'x    = ')[black,hidden];
$fval   Calculate(0,70,'xx     = ','A @cos_ 3^ 2*')($xval)[hidden];
$gval   Calculate(0,70,'xx     = ','A @sin_ 3^ 4*')($xval)[hidden];
$Rfx    Dilation/MarkedRatio($fRykk,$fRO,$fval)[blue, label('f(x)'),layer(10)];
$Rfx2   Dilation/MarkedRatio($Rykk, $RO, $fval)[black, label('f(x)'),hidden];
$fxval  Ratio/Points($fRO,$fRykk,$Rfx,0,60,'f(x) = ')[blue,hidden];

$Rgx    Dilation/MarkedRatio($gRykk,$gRO,$gval)[color(255,230,30), label('g(x)'),layer(10)];
$Rgx2   Dilation/MarkedRatio($Rykk, $RO, $gval)[black, label('g(x)'),hidden];
$gxval  Ratio/Points($gRO,$gRykk,$Rgx,0,80,'g(x) = ')[color(255,230,30),hidden];

$fxL    Parallel($gRL,$Rfx)[cyan,hidden];
$fyL    Parallel($fRL,$Rgx)[cyan,hidden];
$int    Intersect($fxL,$fyL)[color(0,150,0),label('(f(x),g(x))'),hidden];
$inttr  Intersect($fxL,$fyL)[color(0,150,0),label('(f(x),g(x))'),hidden,traced];

$SBArv  ShowButton(  0,  0, 'Näytä arvot')($xval,$fxval,$gxval);
$HBArv  HideButton( 75,  0, 'Piilota')    ($xval,$fxval,$gxval);

$MBK    MoveButton(140,  0,2,'TASOKÄYRÄKSI')($O,$fRref,$unitp,$fRykk,$O,$gRref,$yunitp,$gRykk)[color(0,150,0),bold,hidden];

$AnB    AnimateButton(325,0,'Animoi  x')($Rx,$jAB)(0.7)(0)(1)[plain,font('Helvetica'),bold,red];
$SimB   SimultaneousButton(325,20,'Seis')($AnB)[plain,font('Helvetica'),bold,red];

$SBC    ShowButton( 0, 90, 'Näytä (f(x),g(x))')($fxL,$fyL,$int) [black];
$HBC    HideButton(103,90, 'Piilota')($fxL,$fyL,$int) [black];
$SimBT  SimultaneousButton(140,  0,'TASOKÄYRÄKSI')($MBK,$SBC)[color(0,150,0),bold];

$SBT    ShowButton( 0,110, 'Jäljitä')($inttr,$Clear)[color(0,150,0)];
$HBT    HideButton(50,110, 'Lopeta')($inttr)[color(0,150,0)];

$loc    Locus($int,$Rx,$hor,150)[color(0,150,0),hidden];
$SBL    ShowButton( 0,130, 'Kuvaaja')($loc)[color(0,150,0)];
$HBL    HideButton(50,130, 'Piilota')($loc)[color(0,150,0)];

$SBT    ShowButton( 0,150, 'Suorat')($fxL,$fyL)[color(0,150,0)];
$HBT    HideButton(50,150, 'Piilota')($fxL,$fyL)[color(0,150,0)];

$SBast  ShowButton( 0,200,'Asteikot')($mR5,$mR4,$mR3,$mR2,$mR1,$R2,$R3,$R4,$R5,$mfR5,$mfR4,$mfR3,$mfR2,$mfR1,$fR2,$fR3,$fR4,$fR5,$mgR5,$mgR4,$mgR3,$mgR2,$mgR1,$gR2,$gR3,$gR4,$gR5)[black];
$HBast  HideButton(56,200,'Piilota')( $mR5,$mR4,$mR3,$mR2,$mR1,$R2,$R3,$R4,$R5,$mfR5,$mfR4,$mfR3,$mfR2,$mfR1,$fR2,$fR3,$fR4,$fR5,$mgR5,$mgR4,$mgR3,$mgR2,$mgR1,$gR2,$gR3,$gR4,$gR5)[black];
</JSP>
</td>
<td>
<b>
Kokeile eri nappuloiden toimintaa.
Tarvittaessa RESEToi.
</td>
</tr>
</table>

<br clear=BOTH>
<hr WIDTH="100%">

<table BORDER=3 WIDTH="100%" >
<tr>
<td WIDTH="400">
<center>
<font SIZE=+1>
Vektorifunktiot: liikettä tasossa
</font>
</center>
</td>
</tr>
<tr>
<td>
<JSP>
${
20. Tasokäyrä 2
#CODEBASE="http://www.joensuu.fi/matematiikka/java/javasketchpad"
$}
#CODEBASE="../../../../java/javasketchpad"
#ARCHIVE  = "jsp4.jar"
#WIDTH    = 400
#HEIGHT   = 420
#ALIGN    = Left
*Frame          =   1
*TextFont       =   "Helvetica"
*TextBold       =   1
*TextSize       =  18
*LabelFont      =   "Courier"
*LabelBold      =   1
*MeasureFont        =   "Courier"
*MeasureSize        =  14
*MeasureBold        =   1
*MeasureInDegrees   =   1
*DirectedAngles     =   0
*BackRed        = 200
*BackGreen      = 240
*BackBlue       = 255
${
yellow <--> color(255,230,30)
$}

$Clear  FixedText(365,413,'Puhdistus: x ->')[red,plain,font('Courier'),bold,justifyRight,hidden];

$RO FixedPoint(5,400)[black,label('0')];
$Ref    Translation($RO,50,0)[white,label('1')];
$Ray    Ray($Ref,$RO)[hidden,black];
$Rykk   Point on object($Ray,1)[white, label('1'),hidden];
$RL Line($Rykk,$RO)[black];
$Rnumt  Point on object($Ray,2)[label('t'),layer(10)];

$LUpp   FixedPoint(0,390)[hidden];
$LLow   FixedPoint(0,420)[hidden];
$RLow   FixedPoint(400,420)[hidden];
$RUpp   FixedPoint(400,390)[hidden];
$RectA  Polygon($LUpp,$LLow,$RLow,$RUpp,$LUpp)[yellow,layer(100)];
${
    Point on object($RectA,1)[black];
$}

$O  FixedPoint(200,200)[black,label('0')];
$xunitp UnitPoint($O,50)[white,label('1')];
$coord  Origin&Unit($O,$xunitp)[black,hidden];
$hor    AxisX($coord)[black];
$vert   AxisY($coord)[black,hidden];
$start  FixedPoint(200,380)[hidden];
$vertsh Ray($O,$start)[black];

$Cunit  Circle($O,$xunitp)[hidden];
$yunitp Intersect2($vertsh,$Cunit)[label('1'),white];

$tval   Ratio/Points($RO,$Rykk,$Rnumt,0,35,'t    = ')[red];
$Ktext  FixedText(0,50,'K(t) = (f(t),g(t)), missä')[black,justifyLeft,hidden];  

$fval   Calculate(0,70,'xx     = ','4 A* @sin_')($tval)[hidden];
$ft Dilation/MarkedRatio($xunitp,$O,$fval)[blue, label('f(t)'),layer(10),hidden];
$ftval  Ratio/Points($O,$xunitp,$ft,0,70,'f(t) = ')[blue,hidden];


$gval   Calculate(0,70,'xx     = ','3 A* @sin_')($tval)[hidden];
$gt Dilation/MarkedRatio($yunitp,$O,$gval)[color(255,230,30), label('g(t)'),layer(10),hidden];
$gtval  Ratio/Points($O,$yunitp,$gt,0,90,'g(t) = ')[color(255,230,30),hidden];

$fgt    PlotXY($gval,$coord,$fval)[color(0,150,0),label('K(t)')];
$fgtTR  PlotXY($gval,$coord,$fval)[color(0,150,0),label('K(t)'),traced,hidden];

$Sfgtft Segment($fgt,$ft)[blue,hidden];
$Sfgtgt Segment($fgt,$gt)[color(255,230,30),hidden];

$A  Point on object($Ray,0)[cyan,label('A'),hidden];
$B  Point on object($Ray, 6.285)[cyan,label('B'),hidden];
$jAB    Segment($B,$A)[cyan,thick,layer(2),hidden];

${
$Peg    PegText(130,100,$OptText)[red]; ????
$Peg    PegText($fgt,$OptText)[red];    ????
$}

$SBfgval    ShowButton(0,0,'Arvot')($Ktext,$ftval,$gtval)[black];
$HBfgval    HideButton(60,0,'Piilota')($Ktext,$ftval,$gtval)[black];

$AnB    AnimateButton(325,0,'Animoi  t')($Rnumt,$jAB)(1)(0)(1)[plain,font('Helvetica'),bold,red];
$SimB   SimultaneousButton(325,20,'Seis')($AnB)[plain,font('Helvetica'),bold,red];

$SBfg   ShowButton(0,290,'Komponentit')($ft,$gt)[blue];
$HBfg   HideButton(100,290,'Piilota')($ft,$gt)[color(255,230,30)];

$SBsegm ShowButton(0,310,'Janat')($Sfgtft,$Sfgtgt)[blue];
$HBsegm HideButton(100,310,'Piilota')($Sfgtft,$Sfgtgt)[color(255,230,30)];

$SBTR   ShowButton(0,330,'Jäljitä')($fgtTR,$Clear)[color(0,150,0)];
$HBTR   HideButton(100,330,'Lopeta')($fgtTR)[color(0,150,0)];

$loc    Locus($fgt,$Rnumt,$jAB,300)[color(0,150,0),thick,hidden];
$SBloc  ShowButton(0,350,'Kuvaaja')($loc)[color(0,150,0)];
$HBloc  HideButton(100,350,'Piilota')($loc)[color(0,150,0)];

$SBjana ShowButton(0,370,'Rajoita kuvaajaa')($A,$B,$jAB)[black];
$HBjana HideButton(100,370,'Piilota')($A,$B,$jAB)[black];

$SBOpt  ShowButton(0,267,'OPTIOITA')($SBfg,$HBfg,$SBsegm,$HBsegm,$SBTR,$HBTR,$SBloc,$HBloc,$SBjana,$HBjana)[black,bold];
$HBOpt  HideButton(80,267,'Piilota')($SBfg,$HBfg,$SBsegm,$HBsegm,$SBTR,$HBTR,$SBloc,$HBloc,$SBjana,$HBjana)[black];

${
$MittA  Point(300,350)[red, label('A'),layer(5)];
$MittB  Point(350,350)[red, label('B'),layer(5)];
$AB Segment($MittA,$MittB)[red,layer(5)];
$MRAY   Ray($MittB,$MittA)[black,hidden];
$MUnit  Segment($O,$xunitp)[hidden];
$CM Circle by radius($MittA,$MUnit)[green,hidden];
$Pymp   Intersect2($MRAY,$CM)[cyan,label('1'),hidden];
$et Ratio/Points($MittA,$Pymp,$MittB, 300, 370,'AB = ')[red, bold];
$}
</JSP>
</td>
<td>
<b>
Kokeile eri nappuloiden toimintaa.
Tarvittaessa RESEToi.
</td>
</tr>
</table>



<br clear=BOTH>
<hr WIDTH="100%">

<p>
<a href="http://www.joensuu.fi/mathematics/MathDistEdu/SemProd/FunktioDemo.htm#vektori"
target="_blank">Tehtäviä parametrikäyristä</a>
<p>
<a
href="mailto:martti.pesonen@joensuu.fi">Martti.Pesonen@Joensuu.Fi</a>
</body>
</html>
