<html>
<head>
<title>
Tangentti
</title>
</head>

<H2>
Tangentti
</H2>

<div class="p"><!----></div>
<font size="+1">
Kuviossa voi tutkia tangentti-funktiota. 
<p>
Huomaa, että kuviossa kulman arvot on rajattu välille [-Pi, Pi], 
joten saadaan kahden perusjakson pituinen kuvio tangenttikäyrää. 
<br>
Alkutilassa animointi lähtee kasvamaan arvosta -Pi/2, ja välillä [-Pi/2, Pi/2] saadaan käännettävissä oleva bijektiivinen perusosa, 
jonka käänreiskuvaus on arkustangentin päähaara.
</font>

<p>
<table>
<tr>
<td>
<JSP>
${
Tangentti
#CODEBASE="http://www.joensuu.fi/matematiikka/java/javasketchpad"
$}
#CODEBASE="../../../../java/javasketchpad"
#ARCHIVE  = "jsp4.jar"
#WIDTH = 800
#HEIGHT= 600
#ALIGN    = Center
*Frame          =   1
*TextFont       =   "Helvetica"
*TextBold       =   1
*TextSize       =  18
*LabelFont      =   "Courier"
*LabelBold      =   1
*MeasureFont        =   "Courier"
*MeasureSize        =  	14
*MeasureBold        =   1
*MeasureInDegrees   =   0
*DirectedAngles     =   1
*BackRed          =	250
*BackGreen        =	255
*BackBlue         =	250
$(
    AngleBisectors (Side1, Vertex, Side2)
${
    An Angle Bisector that behaves exactly as the GSP construction.
    See also the alternative construction in bisecto2.jsp.
$}
    Translation ($Vertex, 10.0, 0.0) [hidden];
    Circle ($Vertex, $1) [hidden, black];
    Ray ($Side1, $Vertex) [hidden, black];
    Ray ($Side2, $Vertex) [hidden, black];
    Intersect2 ($2, $3) [hidden];
    Intersect2 ($2, $4) [hidden];
    Segment ($2, $1) [hidden, black];
    Midpoint ($1) [hidden];
    Line($1, $Vertex);
$)

   
$reset  FixedText(785,20,'Reset = ''R''')[red, bold, justifyRight];
$ctrace FixedText(560,493,'Clear trace-->')[red, justifyRight, hidden];
${
$xText  FixedText(585,195,'x')[bold, black, justifyCenter];
$yText  FixedText(295, 15,'y')[bold, black, justifyCenter];
$}

${
The Unit and r-circle
$R2 VectorTranslation($I,$O,$I)[white, label('2')];
$}
$O  	FixedPoint(273,120)[black,label('0')];
$unitp 	UnitPoint($O,80)[white,label('1'), layer(10), hidden];
$XRay	Ray($unitp,$O)[black, hidden];
$I	Point on object($XRay,1)[red, label('1'), layer(15)];	
$OI	Segment($I,$O)[black];

$coord  Origin&Unit($O,$I)[black, hidden];
$hor    AxisX($coord)[black, hidden];
$vert   AxisY($coord)[black, hidden];

$UCr	Circle($O,$I)[black, hidden];
$J	Intersect2($vert,$UCr)[white, label('1')];
$OJ	Segment($J,$O)[black];

$rI   	Point on object($XRay,1.2)[red, label('r')];
$rIpois	VectorTranslation($O,$rI,$O)[white, label('-r')];
$rvalue	Ratio/Points($O,$I,$rI,0,60,'r = ')[black];
$Cr	Circle($O,$rI)[black];

$Xax	Line($I,$O)[black,hidden];
$Yax	Line($J,$O)[black,hidden];

$rJ  	Intersect2($Yax,$Cr)[white, label('r')];
$rJpois	VectorTranslation($O,$rJ,$O)[white, label('-r')];

$SIrpois Segment($rI,$rIpois)[black];
$SJrpois Segment($rJ,$rJpois)[black];

$Pxy	Point on object($Cr,1.57)[red,label('(x,y)'), layer(15)];
$SOPxy	Segment($O,$Pxy)[magenta, thick];
$Lpary	Parallel($Yax,$Pxy)[red, hidden];
$Px 	Intersect($Xax,$Lpary)[black, label('x')];
$SxyPx	Segment($Pxy,$Px)[blue];
$Lparx	Parallel($Xax,$Pxy)[blue, hidden];
$Py 	Intersect($Yax,$Lparx)[black, label('y')];
$SxyPy	Segment($Pxy,$Py)[red];
$SOPx	Segment($O,$Px)[red, thick];
$SOPy	Segment($O,$Py)[blue, thick];

${
$startYax FixedPoint(150,0)[hidden];
$endYax	FixedPoint(150,400)[hidden];
$VisibleYax Segment($startYax, $endYax)[black];
$KulmPuol AngleBisectors($I, $O, $Pxy) [red, hidden];
$labelt Point on object($hor,0.1)[hidden];
$Ct	Circle($O,$labelt)[black, hidden];
$tangle	Intersect2($KulmPuol,$Ct)[white,label('t'), hidden];
$}


$x	Ratio/Points($O,$I,$Px,0,80,'x = ')[red];
$y	Ratio/Points($O,$J,$Py,0,100,'y = ')[blue];

$t 	Angle($I,$O,$Pxy,0,40,'kulma t = ')[magenta];

${
$sgny 	Calculate(0,60,'sign y = ','A @sgn_')($y)[blue, hidden];
$distPxyr	Distance($Pxy,$rI,0,200,'dist = ')[black, hidden];
$t	Calculate(0,40,'kulma t = ','1A+ B* 1A- 6.2831 B- * + 0.5* C @sgn_ @abs_ *')($sgny,$alfa,$distPxyr)[magenta];
$}

${
The coordinate system for the graph
$}
$RO 	FixedPoint(400,300)[white,label('0')];
$Ref   	Translation($RO,80,0)[hidden];
$Ray   	Ray($Ref,$RO)[hidden,black];
$RI  	Point on object($Ray,1)[yellow, label('1')];
$RLx 	Line($RI,$RO)[black];

$Piper2	Dilation($RI,$RO,1.5705)[label('pi/2')];
$poisPiper2 VectorTranslation($RO,$Piper2,$RO)[label('-pi/2')];
$Pi	Dilation($RI,$RO,3.14)[label('pi')];
$poisPi	VectorTranslation($RO,$Pi,$RO)[label('-pi')];
$jakso	Segment($poisPiper2,$Piper2)[black, thick];
$jaksoPois1 VectorTranslation($jakso,$Pi,$RO)[black, thick];

$RLy 	Perpendicular($RLx,$RO)[black,hidden];
$RstartYax FixedPoint(400,0)[hidden];
$RendYax FixedPoint(400,600)[hidden];
$VisibleYax Segment($RstartYax,$RendYax)[black];


$RUCr	Circle($RO,$RI)[black,hidden];
$RJ	Intersect1($RLy,$RUCr)[white, label('1')];
$RJpois1 VectorTranslation($RO,$RJ,$RO)[white, label('-1')];
$RL1	Parallel($RLx,$RJ)[green];
$RLpois1 Parallel($RLx,$RJpois1)[green];

$LUpp   FixedPoint(273,0)[hidden];
$LLow   FixedPoint(273,600)[hidden];
$RLow   FixedPoint(805,600)[hidden];
$RUpp   FixedPoint(805,0)[hidden];
$RectA  Polygon($LUpp,$LLow,$RLow,$RUpp,$LUpp)[color(255,255,150)];

$Rt	Dilation/MarkedRatio($RI,$RO,$t)[magenta, label('t')];
$RLparRt Parallel($RLy,$Rt)[blue,hidden];

${
sini ja kosini osamäärinä
$}
$Rkosini Calculate(0,120,'cos t = x/r = ','AB/')($x,$rvalue)[red];
$Rkosiny	Dilation/MarkedRatio($RJ,$RO,$Rkosini)[red,label('cos t'), hidden];
$RLparkosiny Parallel($RLx,$Rkosiny)[red, hidden];
$SRORkosiny Segment($Rkosiny, $RO)[red, thick, layer(10), hidden];

$Rsini	Calculate(0,140,'sin t = y/r = ','AB/')($y,$rvalue)[blue];
$Rsiny	Dilation/MarkedRatio($RJ,$RO,$Rsini)[blue, label('sin t'), hidden];
$RLparsiny Parallel($RLx,$Rsiny)[blue, hidden];
$SRORsiny Segment($Rsiny, $RO)[blue, thick, hidden];

$Rtan	Calculate(0,160,'tan t = y/x = ','AB/')($y,$x)[magenta];
$Rtany	Dilation/MarkedRatio($RJ,$RO,$Rtan)[magenta, label('tan t'), hidden];
$RLpartany Parallel($RLx,$Rtany)[magenta, hidden];
$SRORtany Segment($Rtany, $RO)[magenta, thick, hidden];

$Rtkosint 	Intersect($RLparkosiny,$RLparRt)[red, label('(t, cos t)'), hidden];
$RSkosinytkosint Segment($Rkosiny,$Rtkosint)[red, hidden];
$RSRttkosint 	Segment($Rt,$Rtkosint)[red, thick, layer(10), hidden];

$Rtsint		Intersect($RLparsiny,$RLparRt)[blue, label('(t, sin t)'), hidden];
$RSsinytsint 	Segment($Rsiny,$Rtsint)[blue, hidden];
$RSRttsint 	Segment($Rt,$Rtsint)[blue, thick, hidden];

$Rttant		Intersect($RLpartany,$RLparRt)[magenta, label('(t, tan t)'), hidden];
$RStanyttant 	Segment($Rtany,$Rttant)[magenta, hidden];
$RSRtttant 	Segment($Rt,$Rttant)[magenta, thick, hidden];

$SRORt	Segment($poisPi,$Rt)[hidden];
${
$SRORt	Segment($Rt,$poisPiper2)[hidden];
$}

$Rpta   Point on object($SRORt,0.3)[label('a'), red, hidden];
$avalue	Ratio/points($RO,$RI,$Rpta,0,200,'a = ')[red, hidden];

$sinia	Calculate(0,220,'sin a = ','A @sin_')($avalue)[blue, hidden];

$Rsina	Dilation/MarkedRatio($RJ,$RO,$sinia)[label('sin a'), hidden];
$SROsina Segment($Rsina,$RO)[blue, hidden];
$Rasina VectorTranslation($Rsina,$RO,$Rpta)[blue, label('(a, sin a)'), hidden];
$SRasina Segment($Rasina,$Rpta)[blue, hidden];

$SinLoc	Locus($Rasina,$Rpta,$SRORt,200)[blue, layer(10), hidden];

$kosinia	Calculate(0,220,'cos a = ','A @cos_')($avalue)[red, hidden];

$Rkosina	Dilation/MarkedRatio($RJ,$RO,$kosinia)[red, label('cos a'), hidden];
$SROkosina Segment($Rkosina,$RO)[blue, hidden];
$Rakosina VectorTranslation($Rkosina,$RO,$Rpta)[red, label('(a, cos a)'), hidden];
$SRakosina Segment($Rakosina,$Rpta)[red, hidden];

$CosLoc	Locus($Rakosina,$Rpta,$SRORt,200)[red, layer(10), hidden];

$Rtan	Calculate(0,160,'tan t = y/x = ','AB/')($y,$x)[magenta];
$Rcot	Calculate(0,180,'cot t = x/y = ','AB/')($x,$y)[magenta];

$tana	Calculate(0,220,'tan a = ','A @tan_')($avalue)[blue, hidden];

$Rtana	Dilation/MarkedRatio($RJ,$RO,$tana)[label('tan a'), hidden];
$SROtana Segment($Rtana,$RO)[blue, hidden];
$Ratana VectorTranslation($Rtana,$RO,$Rpta)[blue, label('(a, tan a)'), hidden];
$SRatana Segment($Ratana,$Rpta)[blue, hidden];

$TanLoc	Locus($Ratana,$Rpta,$SRORt,200)[magenta, layer(10), hidden];


$AnBxyOnCircle AnimateButton(0,0,'Animoi (x,y)')($Pxy,$Cr)(3)(1)(1)[magenta, bold]; 

$SBKosini 	ShowButton(  0,350, 'Näytä kosini')($CosLoc,$Rtkosint,$RSkosinytkosint,$RSRttkosint,$Rkosiny,$SRORkosiny)[red, bold];
$HBKosini 	HideButton(135,350, 'Piilota')(     $CosLoc,$Rtkosint,$RSkosinytkosint,$RSRttkosint,$Rkosiny,$SRORkosiny)[red];
$SBSini 	ShowButton(  0,375, 'Näytä sini')(  $SinLoc,$Rtsint,$RSsinytsint,$RSRttsint,$Rsiny,$SRORsiny)[blue, bold];
$HBSini 	HideButton(135,375, 'Piilota')(     $SinLoc,$Rtsint,$RSsinytsint,$RSRttsint,$Rsiny,$SRORsiny)[blue];
$SBTan		ShowButton(  0,400, 'Näytä tangentti')($TanLoc,$Rttant,$RStanyttant,$RSRtttant,$Rtany,$SRORtany)[magenta, bold];
$HBTan		HideButton(135,400, 'Piilota')(        $TanLoc,$Rttant,$RStanyttant,$RSRtttant,$Rtany,$SRORtany)[magenta];
</JSP>
</td>
<td>
<font size="+1" >
Voit raahata hiirellä kehäpistettä (<i>x</i>, <i>y</i>), samoin voit muuttaa ympyrän sädettä <i>r</i>.

<p>
Voit saada nappuloiden avulla erilaisia lisätoimintoja, kokeile!
<p>
Kuvion resetointi eli alkutilan palautus tapahtuu näppäimistön r-kirjamella (kunhan kuvio on ensin klikattu aktiiviseksi).
<p>
Zoomaukset?
</font>
</td>
</tr>
</table>

<hr>

<hr>
Martti E. Pesonen 31.10.2007, 24.11.2008
</html>
