<html>
<head>
<title>
Ympyr ja trigonometriset funktiot
</title>
</head>

<H2>
Ympyrst trigonometriset funktiot
</H2>

<div class="p"><!----></div>
<font size="+1">Kuviossa voi tutkia ympyrn 
<i>x</i><sup>2</sup> + <i>y</i><sup>2</sup> = <i>r</i><sup>2</sup> 
avulla suhteiden <i>y</i>/<i>r</i> ja <i>x</i>/<i>r</i> muutoksia,
kun piste (<i>x</i>,<i>y</i>) 
liikkuu ympyrn kehll. Nin saatuja funktioita sanotaan <em>trigonometrisiksi funktioiksi</em>.
<p>
Huomaa, ett kuviossa kulma on rajattu vlille [0, 2Pi], joten saadaan vain perusjakson pituinen kuvio sini- ja kosinikyr. 
</font>

<p>
<table>
<tr>
<td>
<JSP>
${
Ympyr- eli trigonometriset funktiot
#CODEBASE="http://www.joensuu.fi/matematiikka/java/javasketchpad"
$}
#CODEBASE="../../../../java/javasketchpad"
#ARCHIVE  = "jsp4.jar"
#WIDTH = 600
#HEIGHT= 600
#ALIGN    = Center
*Frame          =   1
*TextFont       =   "Helvetica"
*TextBold       =   1
*TextSize       =  18
*LabelFont      =   "Courier"
*LabelBold      =   1
*MeasureFont        =   "Courier"
*MeasureSize        =  	14
*MeasureBold        =   1
*MeasureInDegrees   =   0
*DirectedAngles     =   0
*BackRed          =	250
*BackGreen        =	255
*BackBlue         =	250
$(
    AngleBisectors (Side1, Vertex, Side2)
${
    An Angle Bisector that behaves exactly as the GSP construction.
    See also the alternative construction in bisecto2.jsp.
$}
    Translation ($Vertex, 10.0, 0.0) [hidden];
    Circle ($Vertex, $1) [hidden, black];
    Ray ($Side1, $Vertex) [hidden, black];
    Ray ($Side2, $Vertex) [hidden, black];
    Intersect2 ($2, $3) [hidden];
    Intersect2 ($2, $4) [hidden];
    Segment ($2, $1) [hidden, black];
    Midpoint ($1) [hidden];
    Line($1, $Vertex);
$)

   
$reset  FixedText(585,20,'Reset = ''R''')[red, bold, justifyRight];
$ctrace FixedText(560,493,'Clear trace-->')[red, justifyRight, hidden];
$xText  FixedText(585,195,'x')[bold, black, justifyCenter];
$yText  FixedText(295, 15,'y')[bold, black, justifyCenter];

${
The Unit and r-circle
$}
$O  	FixedPoint(300,200)[black,label('0')];
$unitp 	UnitPoint($O,100)[white,label('1'), layer(10), hidden];
$XRay	Ray($unitp,$O)[black, hidden];
$I	Point on object($XRay,1)[red, label('1'), layer(15)];	

$R2 VectorTranslation($I,$O,$I)[white, label('2')];
$coord  Origin&Unit($O,$I)[black, hidden];
$hor    AxisX($coord)[black, hidden];
$vert   AxisY($coord)[black, hidden];

$UCr	Circle($O,$I)[black,hidden];
$J	Intersect2($vert,$UCr)[white, label('1')];

$rI   	Point on object($XRay,1.2)[red, label('r')];
$rvalue	Ratio/Points($O,$I,$rI,0,60,'r = ')[black];
$Cr	Circle($O,$rI)[black];

$Xax	Line($I,$O)[black];
$Yax	Line($J,$O)[black,hidden];
$startYax FixedPoint(300,0)[hidden];
$endYax	FixedPoint(300,400)[hidden];
$VisibleYax Segment($startYax, $endYax)[black];

$start  FixedPoint(300,500)[hidden];
$rJ  	Intersect2($Yax,$Cr)[white, label('r')];

$Pxy	Point on object($Cr,-0.5)[red,label('(x,y)'), layer(15)];
$SOPxy	Segment($O,$Pxy)[magenta, thick];
$Lpary	Parallel($Yax,$Pxy)[red, hidden];
$Px 	Intersect($Xax,$Lpary)[black, label('x')];
$SxyPx	Segment($Pxy,$Px)[blue];
$Lparx	Parallel($Xax,$Pxy)[blue, hidden];
$Py 	Intersect($Yax,$Lparx)[black, label('y')];
$SxyPy	Segment($Pxy,$Py)[red];
$SOPx	Segment($O,$Px)[red, thick];
$SOPy	Segment($O,$Py)[blue, thick];

${
$KulmPuol AngleBisectors($I, $O, $Pxy) [red, hidden];
$labelt Point on object($hor,0.1)[hidden];
$Ct	Circle($O,$labelt)[black, hidden];
$tangle	Intersect2($KulmPuol,$Ct)[white,label('t'), hidden];
$}


$x	Ratio/Points($O,$I,$Px,0,80,'x = ')[red];
$y	Ratio/Points($O,$J,$Py,0,100,'y = ')[blue];

$alfa 	Angle($I,$O,$Pxy,0,20,'alfa = ')[red, hidden];
$sgny 	Calculate(0,60,'sign y = ','A @sgn_')($y)[blue, hidden];
$distPxyr	Distance($Pxy,$rI,0,200,'dist = ')[black, hidden];
$t	Calculate(0,40,'kulma t = ','1A+ B* 1A- 6.2831 B- * + 0.5* C @sgn_ @abs_ *')($sgny,$alfa,$distPxyr)[magenta];


${
The coordinate system for the graph
$}
$RO 	FixedPoint(50,500)[white,label('0')];
$Ref   	Translation($RO,80,0)[hidden];
$Ray   	Ray($Ref,$RO)[hidden,black];
$RI  	Point on object($Ray,1)[yellow, label('1')];
$RLx 	Line($RI,$RO)[black];

$Pi	Dilation($RI,$RO,3.14159)[label('pi')];
$Pi2	Dilation($RI,$RO,6.2831)[label('2pi')];
$jakso	Segment($Pi2,$RO)[black, thick];

$RLy 	Perpendicular($RLx,$RO)[black,hidden];
$RstartYax FixedPoint(50,600)[hidden];
$RendYax FixedPoint(50,400)[hidden];
$VisibleYax Segment($RstartYax,$RendYax)[black];


$RUCr	Circle($RO,$RI)[black,hidden];
$RJ	Intersect1($RLy,$RUCr)[white, label('1')];
$RJpois1 VectorTranslation($RO,$RJ,$RO)[white, label('-1')];
$RL1	Parallel($RLx,$RJ)[green];
$RLpois1 Parallel($RLx,$RJpois1)[green];

$LUpp   FixedPoint(0,400)[hidden];
$LLow   FixedPoint(0,600)[hidden];
$RLow   FixedPoint(605,600)[hidden];
$RUpp   FixedPoint(605,400)[hidden];
$RectA  Polygon($LUpp,$LLow,$RLow,$RUpp,$LUpp)[yellow];

$Rt	Dilation/MarkedRatio($RI,$RO,$t)[magenta, label('t')];

${
sini ja kosini osamrin
$}
$Rsini	Calculate(0,140,'sin t = y/r = ','AB/')($y,$rvalue)[blue];
$Rsiny	Dilation/MarkedRatio($RJ,$RO,$Rsini)[blue, label('sin t')];
$RLparsiny Parallel($RLx,$Rsiny)[blue, hidden];

$Rkosini Calculate(0,120,'cos t = x/r = ','AB/')($x,$rvalue)[red];
$Rkosiny	Dilation/MarkedRatio($RJ,$RO,$Rkosini)[label('cos t')];
$RLparkosiny Parallel($RLx,$Rkosiny)[blue,hidden];

$RLparRt Parallel($RLy,$Rt)[blue,hidden];

$Rtsint		Intersect($RLparsiny,$RLparRt)[magenta, label('(t, sin t)'), hidden];
$RSsinytsint 	Segment($Rsiny,$Rtsint)[black, hidden];
$RSRttsint 	Segment($Rt,$Rtsint)[black, hidden];

$Rtkosint 	Intersect($RLparkosiny,$RLparRt)[magenta, label('(t, cos t)'), hidden];
$RSkosinytkosint Segment($Rkosiny,$Rtkosint)[black, hidden];
$RSRttkosint 	Segment($Rt,$Rtkosint)[black, hidden];

$SRORt	Segment($Rt,$RO)[hidden];
$Rpta   Point on object($SRORt,0.3)[label('a'), red, hidden];
$avalue	Ratio/points($RO,$RI,$Rpta,0,200,'a = ')[red, hidden];

$sinia	Calculate(0,220,'sin a = ','A @sin_')($avalue)[blue, hidden];

$Rsina	Dilation/MarkedRatio($RJ,$RO,$sinia)[label('sin a'), hidden];
$SROsina Segment($Rsina,$RO)[blue, hidden];
$Rasina VectorTranslation($Rsina,$RO,$Rpta)[blue, label('(a, sin a)'), hidden];
$SRasina Segment($Rasina,$Rpta)[blue, hidden];

$SinLoc	Locus($Rasina,$Rpta,$SRORt,200)[blue, hidden];

$kosinia	Calculate(0,220,'cos a = ','A @cos_')($avalue)[red, hidden];

$Rkosina	Dilation/MarkedRatio($RJ,$RO,$kosinia)[red, label('cos a'), hidden];
$SROkosina Segment($Rkosina,$RO)[blue, hidden];
$Rakosina VectorTranslation($Rkosina,$RO,$Rpta)[red, label('(a, cos a)'), hidden];
$SRakosina Segment($Rakosina,$Rpta)[red, hidden];

$CosLoc	Locus($Rakosina,$Rpta,$SRORt,200)[red, hidden];

$Rtan	Calculate(0,160,'tan t = y/x = ','AB/')($y,$x)[black];
$Rcot	Calculate(0,180,'cot t = x/y = ','AB/')($x,$y)[black];

$AnBxyOnCircle AnimateButton(0,0,'Animoi (x,y)')($Pxy,$Cr)(3)(1)(1)[magenta, bold]; 

$SBSini 	ShowButton(  0,350, 'Nyt sini-kyr')($SinLoc,$Rtsint,$RSsinytsint,$RSRttsint)[blue, bold];
$HBSini 	HideButton(135,350, 'Piilota')($SinLoc,$Rtsint,$RSsinytsint,$RSRttsint)[blue];
$SBKosini 	ShowButton(  0,375, 'Nyt kosini-kyr')($CosLoc,$Rtkosint,$RSkosinytkosint,$RSRttkosint)[red, bold];
$HBKosini 	HideButton(135,375, 'Piilota')($CosLoc,$Rtkosint,$RSkosinytkosint,$RSRttkosint)[red];
</JSP>



</td>
<td>
<font size="+1" >
Voit raahata hiirell kehpistett (<i>x</i>, <i>y</i>), samoin voit muuttaa ympyrn sdett <i>r</i>.

<p>
Voit saada nappuloiden avulla erilaisia listoimintoja, kokeile!
<p>
Kuvion resetointi eli alkutilan palautus tapahtuu nppimistn r-kirjamella (kunhan kuvio on ensin klikattu aktiiviseksi).
<p>
Zoomaukset?
</font>
</td>
</tr>
</table>

<hr>

<hr>
Martti E. Pesonen 30.10.2007
</html>
