<html>
<head>
<title>
Arkusfunktiot
</title>
</head>

<body>
<H2>
Arkusfunktiot
</H2>
<div class="p"><!----></div>
<font size="+1">
Kuviossa voi tutkia trigonometristen funktioiden käänteisfunktioita, arkusfunktioita, jotka ovat 
käänteisrelaatioiden arcsin, arccos, arctan ja arccot osia rajoitettuina sopiville väleille. Juuri näitä <b>päähaarojen</b> arvoja antavat laskimet!
</font>

<p>
<table>
<tr>
<td>
<JSP>
${
Arkusfunktiot arcsin, arccos, arctan ja arccot
#CODEBASE="http://www.joensuu.fi/matematiikka/java/javasketchpad"
e = 2.718281828
$}
#CODEBASE="../../../../java/javasketchpad"
#ARCHIVE  = "jsp4.jar"
#WIDTH = 800
#HEIGHT= 530
#ALIGN    = Center
*Frame          =   1
*TextFont       =   "Helvetica"
*TextBold       =   1
*TextSize       =  18
*LabelFont      =   "Courier"
*LabelBold      =   1
*MeasureFont        =   "Courier"
*MeasureSize        =  	14
*MeasureBold        =   1
*MeasureInDegrees   =   1
*DirectedAngles     =   0
*BackRed          =	250
*BackGreen        =	255
*BackBlue         =	250

$reset  FixedText(785,20,'Reset = ''R''')[red,bold,justifyRight];
$ClearTrace FixedText(760,523,'Clear trace-->')[red,justifyRight,hidden];
$xText  FixedText(785,245,'x')[bold, black,justifyCenter];
$yText  FixedText(395, 15,'y')[bold,black,justifyCenter];

${
The Plane Coordinate System
$}
$O  	FixedPoint(400,250)[black,label('0')];
$unitp 	UnitPoint($O,50)[white,label('1'), layer(10), hidden];
$Xax	Line($unitp,$O)[black];
$XRay	Ray($unitp,$O)[black,hidden];
$I	Point on object($XRay,1)[red,label('1'), layer(15)];	

$R2 VectorTranslation($I,$O,$I)[white, label('2')];

$coord  Origin&Unit($O,$I)[black];
$SBGrid ShowButton(402, 0, 'Grid points')($coord)[black,bold];
$HBGrid HideButton(480, 0, 'Hide')($coord)[black];

$UC	Circle($O,$I)[black,hidden];
$vert   AxisY($coord)[black,hidden];
$start  FixedPoint(400,420)[hidden];
$Yax    Ray($O,$start)[black];
$J  	Intersect2($Yax,$UC)[white,label('1'),layer(20)];

${
The Real Lines for a, b, c, d, e, f, g, h
$}
$ROa 	FixedPoint(400,510)[white,label('0')];
$Refa   Translation($ROa,50,0)[hidden];
$Raya   Ray($Refa,$ROa)[hidden,black];
$Rykka  FixedPoint(450,510)[yellow, label('1')];
${
$Rykka  Point on object($Raya,1)[yellow, label('1')];
$}

$RLa 	Line($Rykka,$ROa)[black];
$Rpta   Point on object($RLa,1)[label('a'),blue,layer(10)];

$ROb 	Translation($ROa,0,15)[white,label('0')];
$Refb   Translation($ROb,50,0)[hidden];
$Rayb   Ray($Refb,$ROb)[hidden,black];
${
$Rykkb  Point on object($Rayb,1)[yellow, label('1')];
$}
$Rykkb  Translation($Rykka,0,15)[yellow, label('1')];
$RLb 	Line($Rykkb,$ROb)[black];
$Rptb   Point on object($RLb,0)[label('b'),blue,layer(10)];

$ROc 	Translation($ROb,0,15)[white,label('0')];
$Refc   Translation($ROc,50,0)[hidden];
$Rayc   Ray($Refc,$ROc)[hidden,black];
${
$Rykkc  Point on object($Rayc,1)[yellow, label('1')];
$}
$Rykkc  Translation($Rykkb,0,15)[yellow, label('1')];
$RLc 	Line($Rykkc,$ROc)[black];
$Rptc   Point on object($RLc,1)[label('c'),red,layer(10)];

$ROd 	Translation($ROc,0,15)[white,label('0')];
$Refd   Translation($ROd,50,0)[hidden];
$Rayd   Ray($Refd,$ROd)[hidden,black];
${
$Rykkd  Point on object($Rayd,1)[yellow, label('1')];
$}
$Rykkd  Translation($Rykkc,0,15)[yellow, label('1')];
$RLd 	Line($Rykkd,$ROd)[black];
$Rptd   Point on object($RLd,0)[label('d'),red,layer(10)];

$ROe 	Translation($ROd,0,15)[white,label('0')];
$Refe   Translation($ROe,50,0)[hidden];
$Raye   Ray($Refe,$ROe)[hidden,black];
${
$Rykke  Point on object($Raye,1)[yellow, label('1')];
$}
$Rykke  Translation($Rykkd,0,15)[yellow, label('1')];
$RLe 	Line($Rykke,$ROe)[black];
$Rpte   Point on object($RLe,1)[label('e'),magenta,layer(10)];

$ROf 	Translation($ROe,0,15)[white,label('0')];
$Reff   Translation($ROf,50,0)[hidden];
$Rayf   Ray($Reff,$ROf)[hidden,black];
${
$Rykkf  Point on object($Rayf,1)[yellow, label('1')];
$}
$Rykkf  Translation($Rykke,0,15)[yellow, label('1')];
$RLf 	Line($Rykkf,$ROf)[black];
$Rptf   Point on object($RLf,0)[label('f'),magenta,layer(10)];

$ROg 	Translation($ROf,0,15)[white,label('0')];
$Refg   Translation($ROg,50,0)[hidden];
$Rayg   Ray($Refg,$ROg)[hidden,black];
${
$Rykkg  Point on object($Rayg,1)[yellow, label('1')];
$}
$Rykkg  Translation($Rykkf,0,15)[yellow, label('1')];
$RLg 	Line($Rykkg,$ROg)[black];
$Rptg   Point on object($RLg,1)[label('g'),color(12,171,3),layer(10)];

$ROh 	Translation($ROg,0,15)[white,label('0')];
$Refh   Translation($ROh,50,0)[hidden];
$Rayh   Ray($Refh,$ROh)[hidden,black];
${
$Rykkh  Point on object($Rayh,0)[yellow, label('1')];
$}
$Rykkh  Translation($Rykkg,0,15)[yellow, label('1')];
$RLh 	Line($Rykkh,$ROh)[black];
$Rpth   Point on object($RLh,0)[label('h'),color(12,171,3),layer(10)];

$Ra     Ratio/Points($ROa,$Rykka,$Rpta,700, 509,'a = ')[blue,layer(10)];
$Rb     Ratio/Points($ROb,$Rykkb,$Rptb,700, 494,'b = ')[blue,layer(10)];
$Rc     Ratio/Points($ROc,$Rykkc,$Rptc,700, 479,'c = ')[red,layer(10)];
$Rd     Ratio/Points($ROd,$Rykkd,$Rptd,700, 464,'d = ')[red,layer(10)];
$Re     Ratio/Points($ROe,$Rykke,$Rpte,700, 449,'e = ')[magenta,layer(10)];
$Rf     Ratio/Points($ROf,$Rykkf,$Rptf,700, 434,'f = ')[magenta,layer(10)];
$Rg     Ratio/Points($ROg,$Rykkg,$Rptg,700, 419,'g = ')[color(12,171,3),layer(10)];
$Rh     Ratio/Points($ROh,$Rykkh,$Rpth,700, 404,'h = ')[color(12,171,3),layer(10)];

$LUpp   FixedPoint(0,390)[hidden];
$LLow   FixedPoint(0,530)[hidden];
$RLow   FixedPoint(805,530)[hidden];
$RUpp   FixedPoint(805,390)[hidden];
$RectA  Polygon($LUpp,$LLow,$RLow,$RUpp,$LUpp)[yellow,layer(100)];

${
The limiting segments
$}
$left   Point on object($Xax,-5)[cyan, label('A')];
$right  Point on object($Xax, 5)[cyan, label('B')];
$SXax   Segment($right,$left)[cyan,thick];
${
$leftright2 Translation($O,-1,0)[hidden];
$rightleft2 Translation($O, 1,0)[hidden];
$SXaxleft   Segment($leftright2,$left)[cyan,thick];
$SXaxright  Segment($rightleft2,$right)[cyan,thick];
$}

$x  Point on object($Xax,-1)[red,label('x'), layer(30)];
$xval   Ratio/Points($O,$I,$x,0, 33,'x   = ')[black];
$LxParYax Parallel($Yax,$x)[color(0,150,0),hidden];
$AnB    AnimateButton(0,225,'Animate x')($x,$SXax)(3)(1)(1)[black,bold];

${
Arkussini arcsin
$}
$sinxval   Calculate(0,47,'arcsin(ax + b) = ','AI* B+ @asin')($Ra,$Rb,$Rc,$Rd,$Re,$Rf,$Rg,$Rh,$xval)[blue,hidden];
$sinxYax    Dilation/MarkedRatio($J,$O,$sinxval)[black, label('y = arcsin(ax + b)'),hidden];

$LsinxXax Parallel($Xax,$sinxYax)[color(0,150,0),hidden];
$xsinx   Intersect($LxParYax,$LsinxXax)[blue,hidden];
$xsinxTr Intersect($LxParYax,$LsinxXax)[blue,traced,hidden];
$Sxsinx  Segment($x,$xsinx)[blue,hidden];
$SsinxYaxxsinx Segment($sinxYax,$xsinx)[blue,hidden];
$Locsin  Locus($xsinx,$x,$SXax,400)[blue,layer(10)];
{,locus(function(x) {return Math.asin((($Ra*x)+$Rb))})}


$SBsinSegm   ShowButton(130, 0, 'Segments')($xsinx,$Sxsinx,$SsinxYaxxsinx)[blue,bold,hidden];
$HBsinSegm   HideButton(200, 0, 'Hide')    ($xsinx,$Sxsinx,$SsinxYaxxsinx)[blue,hidden];

$SBsinGraph ShowButton(250, 0, 'Graph')($Locsin)[blue,bold,hidden];
$HBsinGraph HideButton(300, 0, 'Hide')($Locsin)[blue,hidden];

$SBsinTrace ShowButton(190, 27, 'Trace graph')($xsinxTr,$ClearTrace)[blue,bold,hidden];
$HBsinTrace HideButton(275, 27, 'Stop')          ($xsinxTr)[blue,hidden];

$SBsin  ShowButton( 0,  0, 'Show arcsin')($ClearTrace,$sinxYax,$sinxval,$SBsinSegm,$HBsinSegm,$SBsinTrace,$HBsinTrace,$SBsinGraph,$HBsinGraph)[blue,bold];
$HBsin  HideButton(90,  0, 'Hide')(     $sinxYax,$sinxval,$SBsinSegm,$HBsinSegm,$SBsinTrace,$HBsinTrace,$SBsinGraph,$HBsinGraph,$sinxYax,$Locsin,$xsinx,$Sxsinx,$SsinxYaxxsinx)[blue];

${
Arkuskosini arccos
$}
$cosxval   Calculate(0,97,'arccos(cx + d) = ','CI* D+ @acos')($Ra,$Rb,$Rc,$Rd,$Re,$Rf,$Rg,$Rh,$xval)[red,hidden];
$cosxYax    Dilation/MarkedRatio($J,$O,$cosxval)[black, label('y = arccos(cx + d)'),hidden];

$LcosxXax Parallel($Xax,$cosxYax)[color(0,150,0),hidden];
$xcosx   Intersect($LxParYax,$LcosxXax)[red,hidden];
$xcosxTr Intersect($LxParYax,$LcosxXax)[red,traced,hidden];
$Sxcosx  Segment($x,$xcosx)[red,hidden];
$ScosxYaxxcosx Segment($cosxYax,$xcosx)[red,hidden];
$Loccos  Locus($xcosx,$x,$SXax,400)[red,layer(10)];
{,locus(function(x) {return Math.acos((($Rc*x)+$Rd))})}

$SBcosSegm   ShowButton(130, 50, 'Segments')($xcosx,$Sxcosx,$ScosxYaxxcosx)[red,bold,hidden];
$HBcosSegm   HideButton(200, 50, 'Hide')    ($xcosx,$Sxcosx,$ScosxYaxxcosx)[red,hidden];

$SBcosGraph ShowButton(250, 50, 'Graph')($Loccos)[red,bold,hidden];
$HBcosGraph HideButton(300, 50, 'Hide')($Loccos)[red,hidden];

$SBcosTrace ShowButton(190, 77, 'Trace graph')($xcosxTr,$ClearTrace)[red,bold,hidden];
$HBcosTrace HideButton(275, 77, 'Stop')          ($xcosxTr)[red,hidden];

$SBcos  ShowButton( 0,  50, 'Show arccos')($ClearTrace,$cosxYax,$cosxval,$SBcosSegm,$HBcosSegm,$SBcosTrace,$HBcosTrace,$SBcosGraph,$HBcosGraph)[red,bold];
$HBcos  HideButton(90,  50, 'Hide')(     $cosxYax,$cosxval,$SBcosSegm,$HBcosSegm,$SBcosTrace,$HBcosTrace,$SBcosGraph,$HBcosGraph,$cosxYax,$Loccos,$xcosx,$Sxcosx,$ScosxYaxxcosx)[red];

${
Arkustangentti arctan
$}
$tanxval   Calculate(0,147,'arctan(ex + f) = ','EI* F+  @atan')($Ra,$Rb,$Rc,$Rd,$Re,$Rf,$Rg,$Rh,$xval)[magenta,hidden];
$tanxYax    Dilation/MarkedRatio($J,$O,$tanxval)[black, label('y = arctan(ex + f)'),hidden];

$LtanxXax Parallel($Xax,$tanxYax)[color(0,150,0),hidden];
$xtanx   Intersect($LxParYax,$LtanxXax)[magenta,hidden];
$xtanxTr Intersect($LxParYax,$LtanxXax)[magenta,traced,hidden];
$Sxtanx  Segment($x,$xtanx)[magenta,hidden];
$StanxYaxxtanx Segment($tanxYax,$xtanx)[magenta,hidden];
$Loctan  Locus($xtanx,$x,$SXax,400)[magenta,layer(10)];
{,locus(function(x) {return Math.atan((($Re*x)+$Rf))})}

$SBtanSegm   ShowButton(130, 100, 'Segments')($xtanx,$Sxtanx,$StanxYaxxtanx)[magenta,bold,hidden];
$HBtanSegm   HideButton(200, 100, 'Hide')    ($xtanx,$Sxtanx,$StanxYaxxtanx)[magenta,hidden];

$SBtanGraph ShowButton(250, 100, 'Graph')($Loctan)[magenta,bold,hidden];
$HBtanGraph HideButton(300, 100, 'Hide')($Loctan)[magenta,hidden];

$SBtanTrace ShowButton(190, 127, 'Trace graph')($xtanxTr,$ClearTrace)[magenta,bold,hidden];
$HBtanTrace HideButton(275, 127, 'Stop')          ($xtanxTr)[magenta,hidden];

$SBtan  ShowButton( 0,  100, 'Show arctan')($ClearTrace,$tanxYax,$tanxval,$SBtanSegm,$HBtanSegm,$SBtanTrace,$HBtanTrace,$SBtanGraph,$HBtanGraph)[magenta,bold];
$HBtan  HideButton(90,  100, 'Hide')(     $tanxYax,$tanxval,$SBtanSegm,$HBtanSegm,$SBtanTrace,$HBtanTrace,$SBtanGraph,$HBtanGraph,$tanxYax,$Loctan,$xtanx,$Sxtanx,$StanxYaxxtanx)[magenta];

${
Arkuskotangentti arccot
$}
$cotxval   Calculate(0,197,'arccot(gx + h) = ','3.1415926 2/ GI* H+ @atan -')($Ra,$Rb,$Rc,$Rd,$Re,$Rf,$Rg,$Rh,$xval)[color(12,171,3),hidden];
$cotxYax    Dilation/MarkedRatio($J,$O,$cotxval)[black, label('y = arccot(gx + h)'),hidden];

$LcotxXax Parallel($Xax,$cotxYax)[color(0,150,0),hidden];
$xcotx   Intersect($LxParYax,$LcotxXax)[color(12,171,3),hidden];
$xcotxTr Intersect($LxParYax,$LcotxXax)[color(12,171,3),traced,hidden];
$Sxcotx  Segment($x,$xcotx)[color(12,171,3),hidden];
$ScotxYaxxcotx Segment($cotxYax,$xcotx)[color(12,171,3),hidden];
$Loccot  Locus($xcotx,$x,$SXax,400)[color(12,171,3),layer(10)];
{,locus(function(x) {return ((3.1415926/2)-Math.atan((($Rg*x)+$Rh)))})}

${
$Loccotleft  Locus($xcotx,$x,$SXaxleft,400)[color(12,171,3),layer(10)];
$Loccotright  Locus($xcotx,$x,$SXaxright,400)[color(12,171,3),layer(10)];
$}
$SBcotSegm   ShowButton(130, 150, 'Segments')($xcotx,$Sxcotx,$ScotxYaxxcotx)[color(12,171,3),bold,hidden];
$HBcotSegm   HideButton(200, 150, 'Hide')    ($xcotx,$Sxcotx,$ScotxYaxxcotx)[color(12,171,3),hidden];


$SBcotGraph ShowButton(250, 150, 'Graph')($Loccot)[color(12,171,3),bold,hidden];
$HBcotGraph HideButton(300, 150, 'Hide')($Loccot)[color(12,171,3),hidden];

${
$SBcotGraph ShowButton(250, 150, 'Graph')($Loccotleft,$Loccotright)[color(12,171,3),bold,hidden];
$HBcotGraph HideButton(300, 150, 'Hide')($Loccotleft,$Loccotright)[color(12,171,3),hidden];
$}

$SBcotTrace ShowButton(190, 177, 'Trace graph')($xcotxTr,$ClearTrace)[color(12,171,3),bold,hidden];
$HBcotTrace HideButton(275, 177, 'Stop')          ($xcotxTr)[color(12,171,3),hidden];

$SBcot  ShowButton( 0,  150, 'Show arccot')($ClearTrace,$cotxYax,$cotxval,$SBcotSegm,$HBcotSegm,$SBcotTrace,$HBcotTrace,$SBcotGraph,$HBcotGraph)[color(12,171,3),bold];
$HBcot  HideButton(90,  150, 'Hide')(     $cotxYax,$cotxval,$SBcotSegm,$HBcotSegm,$SBcotTrace,$HBcotTrace,$SBcotGraph,$HBcotGraph,$cotxYax,$Loccot,$xcotx,$Sxcotx,$ScotxYaxxcotx)[color(12,171,3)];

</JSP>
</td>
<td>
<font size="+1" >
Voit raahata hiirellä muuttujaa <i>x</i> ja kertoimia <i>a</i>, <i>b</i>, <i>c</i>, <i>d</i>, 
<i>e</i>, <i>f</i>, <i>g</i> ja <i>h</i>; 
samoin voit säätää piirto- ja animointiväliä [<i>A</i>, <i>B</i>].
<p>
Voit saada nappuloiden avulla erilaisia lisätoimintoja, kokeile!
<p>
Jälki (Trace) puhdistuu oikean alalaidan ruksilla.
<p>
Kuvion resetointi eli alkutilan palautus tapahtuu näppäimistön r-kirjamella (kunhan kuvio on ensin klikattu aktiiviseksi).
<p>
Zoomaus?
</font>
</td>
</tr>
</table>
<hr>
Martti E. Pesonen 10.11.2007, 24.11.2008

</body>
</html>
