<html>
<head>
<title>
Eksponenttifunktiot <i>a</i><sup>x</sup>
</title>
</head>
<H2>
Eksponenttifunktiot <i>a</i><sup>x</sup>
</H2>

<font size = +1>
Samassa kuviossa on mahdollisuus leikkiä erikantaisilla eksponenttifunktioilla.
</font>

<hr WIDTH="100%">
<JSP>
${
Eksponenttifunktiot
#CODEBASE="http://cs.uef.fi/matematiikka/java/javasketchpad"
$}
#CODEBASE="../../../../java/javasketchpad"
#ARCHIVE  = "jsp4.jar"
#WIDTH = 400
#HEIGHT= 420
#ALIGN    = Center
*Frame          =   1
*TextFont       =   "Helvetica"
*TextBold       =   1
*TextSize       =  18
*LabelFont      =   "Courier"
*LabelBold      =   1
*MeasureFont        =   "Courier"
*MeasureSize        =  14
*MeasureBold        =   1
*MeasureInDegrees   =   1
*DirectedAngles     =   0
*BackRed          =255
*BackGreen        =255
*BackBlue         =200

$reset  FixedText(385,15,'Reset = ''R''')[red,bold,justifyRight];
$xText  FixedText(385,195,'x')[bold, black,justifyCenter];
$yText  FixedText(195, 15,'y')[bold,black,justifyCenter];

${
The Plane Coordinate System
$}
$O  FixedPoint(200,200)[black,label('0')];
$I  UnitPoint($O,50)[white, label('1')];
$coord  Origin&Unit($O,$I)[black];
$Xax    AxisX($coord)[black];
$vert   AxisY($coord)[black,hidden];
$start  FixedPoint(200,380)[hidden];
$Yax    Ray($O,$start)[black];
{,arrowL}
$UC Circle($O,$I)[black,hidden];
$J  Intersect2($Yax,$UC)[white,label('1')];
$R2 VectorTranslation($I,$O,$I)[white,label('2')];

${
The Real Line
$}
$RO FixedPoint(200,400)[black,label('0')];
$Ref    Translation($RO,100,0)[hidden];
$Ray    Ray($Ref,$RO)[hidden,black];
$Rykk   Point on object($Ray,0.5)[yellow,label('1')];
$Re Dilation($Rykk,$RO,2.718282)[magenta,label('e')];
$RL Line($Rykk,$RO)[black];

$Rptk   Point on object($RL,2)[label('a'),blue];
$Rk Ratio/Points($RO,$Rykk,$Rptk,0,265,'a = ')[blue];

$LUpp   FixedPoint(0,385)[hidden];
$LLow   FixedPoint(0,420)[hidden];
$RLow   FixedPoint(400,420)[hidden];
$RUpp   FixedPoint(400,385)[hidden];
$RectA  Polygon($LUpp,$LLow,$RLow,$RUpp,$LUpp)[yellow,layer(100)];

${
The limiting segment
$left   Point on object($Xax,-0.1)[cyan];
$right  Point on object($Xax,1.1)[cyan];
$SXax   Segment($left,$right)[black];
$}

$x  Point on object($Xax,0.4)[red,label('x')];
${
$xval   Ratio/Points($O,$I,$x,0,60,'x       = ')[red,hidden];
$}
$xvalk  Ratio/Points($O,$I,$x,0,240,'x   = ')[red];
${
$fval   Calculate(0,75,'e^x = ','2.718282 A^')($xval)[magenta,hidden];
$fx Dilation/MarkedRatio($J,$O,$fval)[magenta, label('e^x')];
$}

$xL Perpendicular($Xax,$x)[green,hidden];
${
$yL Perpendicular($Yax,$fx)[green,hidden];
$xfx    Intersect($xL,$yL)[magenta,hidden];
$xfxtr  Intersect($xL,$yL)[magenta,traced,hidden];
$Sxfx   Segment($x,$xfx)[magenta,hidden];
$Sfxxfx Segment($fx,$xfx)[magenta,hidden];
$Locf   Locus($xfx,$x,$SXax,40)[magenta,hidden];
$}

$kfval  Calculate(0,280,'a^x = ','B A ^')($xvalk,$Rk)[blue];
$kfx    Dilation/MarkedRatio($J,$O,$kfval)[blue, label('a^x')];
$kyL    Perpendicular($Yax,$kfx)[green,hidden];
$xkfx   Intersect($xL,$kyL)[blue,hidden];
$Sxkfx  Segment($x,$xkfx)[blue,hidden];
$Sfxxkfx Segment($kfx,$xkfx)[blue,hidden];
$xkfxtr Intersect($xL,$kyL)[blue,traced,hidden];
$Lockf  Locus($xkfx,$x,$SXax,40)[blue,hidden];

${
$SBS    ShowButton( 0,100, 'Janat')($xfx,$Sxfx,$Sfxxfx)[magenta,hidden];
$HBS    HideButton(85,100, 'Piilota')    ($xfx,$Sxfx,$Sfxxfx)[magenta,hidden];

$SBTrex ShowButton( 0,120, 'Jäljitä (x,e^x)')($xfxtr)[magenta,hidden];
$HBTrex HideButton(85,120, 'Lopeta')         ($xfxtr)[magenta,hidden];

$SBLof  ShowButton( 0,140, 'Kuvaaja')($Locf)[magenta,hidden];
$HBLof  HideButton(85,140, 'Piilota')      ($Locf)[magenta,hidden];

$SBex   ShowButton( 0,25, 'Näytä e^x')($xval,$fx,$fval,$SBS,$HBS,$SBTrex,$HBTrex,$SBLof,$HBLof)[magenta,hidden];
$HBex   HideButton(85,25, 'Piilota')(    $xval,$fx,$fval,$SBS,$HBS,$SBTrex,$HBTrex,$SBLof,$HBLof,$fx,$Locf,$xfx,$Sxfx,$Sfxxfx)[magenta,hidden];
$}

$SBSk   ShowButton( 0,300, 'Janat')($xkfx,$Sxkfx,$Sfxxkfx)[blue];
$HBSk   HideButton(85,300, 'Piilota')    ($xkfx,$Sxkfx,$Sfxxkfx)[blue];

$SBTrexk    ShowButton( 0,325, 'Jäljitä (x,a^x)')($xkfxtr)[blue];
$HBTrexk    HideButton(85,325, 'Lopeta')          ($xkfxtr)[blue];

$SBLofk ShowButton( 0,355, 'Kuvaaja')($Lockf)[blue];
$HBLofk HideButton(85,355, 'Piilota')      ($Lockf)[blue];

${
$SBexk  ShowButton( 0,255, 'Näytä a^x')($Rptk,$Rk,$xvalk,$kfx,$kfval,$SBSk,$HBSk,$SBTrexk,$HBTrexk,$SBLofk,$HBLofk)[blue,hidden];
$HBexk  HideButton(85,255, 'Piilota')(     $Rptk,$Rk,$xvalk,$kfx,$kfval,$SBSk,$HBSk,$SBTrexk,$HBTrexk,$SBLofk,$HBLofk,$kfx,$Lockf,$xkfx,$Sxkfx,$Sfxxkfx)[blue,hidden];

$SB ShowButton( 0,0, 'NAPPULAT')($SBex,$HBex,$SBexk,$HBexk)[black];
$HB HideButton(90,0, 'Piilota')   ($SBex,$HBex,$SBexk,$HBexk,$SBS,$HBS,$SBTrex,$HBTrex,$SBLof,$HBLof,$SBSk,$HBSk,$SBTrexk,$HBTrexk,$SBLofk,$HBLofk)[black];
$}
</JSP>
</html>
