<JSP>
${
I 3 Dilation by scalar c (from x<sub>1</sub>-axis)
$}
#CODE = "GSP.class"
#CODEBASE="../../../../java/javasketchpad"
#ARCHIVE="jsp4.jar"
#WIDTH = 406
#HEIGHT= 420
#ALIGN=Left
*LabelSize	  = 12
*MeasureFont	  = "Helvetica"
*MeasureSize	  = 14
*MeasureBold	  =  1
*MeasureInDegrees =  0
*DirectedAngles   =  1
*BackRed          =255
*BackGreen        =255
*BackBlue         =220

${
Real line
$}
$RO	FixedPoint(200,400)[black,label('0'), hidden];
$Ref	Translation($RO,10,0)[hidden];
$Ray	Ray($Ref,$RO)[black, hidden];
$Rykk	Point on object($Ray,2.5)[white, label('1'), hidden];
$RL	Line($Rykk,$RO)[black, hidden];
$Rptc	Point on object($RL,1.5)[label('c'), red, hidden];
$Rc	Ratio/Points($RO,$Rykk,$Rptc,330,360,'c = ')[red];

$LUpp	FixedPoint(0,386)[hidden];
$LLow	FixedPoint(0,420)[hidden];
$RLow	FixedPoint(406,420)[hidden];
$RUpp	FixedPoint(406,386)[hidden];
$RectA	Polygon($LUpp,$LLow,$RLow,$RUpp,$LUpp)[yellow,hidden];

${
The Plane Coordinate System
$}
	$O	FixedPoint(200,200)[black,label('0')];
	$Ogh	FixedPoint(200,200)[hidden];
	$ykk	FixedPoint(225,200)[white,label('1')];
	$unitp	UnitPoint($O,25)[hidden];
	$coord  Origin&Unit($O,$unitp)[black,hidden];
	$hor    AxisX($coord)[black];
	$vert   AxisY($coord)[black];
	$start	FixedPoint(200,385)[hidden];
	$vertsh Ray($O,$start)[black];

${
Dilation by c
$}
	$u	Point(325,175)[red, label('u')];
	$utr	VectorTranslation($u,$O,$Ogh)[red, label('u'), hidden, traced];
	$SOu	Segment($O,$u)[red, hidden];
	$LuParVert Parallel($vert,$u)[hidden];
	$ux	Intersect($LuParVert,$hor)[hidden];
	$ux2Dil	Dilation/3PtRatio($u,$ux,$RO,$Rykk,$Rptc)[blue, label('Dil2(u)')];
	$ux2Diltr Dilation/3PtRatio($u,$ux,$RO,$Rykk,$Rptc)[blue, label('Dil2(u)'), hidden, traced];
	$SOux2Dil Segment($O,$ux2Dil)[blue, hidden];
	$Suux2Dil Segment($u,$ux2Dil)[magenta, thick, hidden];

${
Animation circle and segment
$}
	$Ccentr	Point(300,150)[red,label('C'),hidden];
	$PonCir	Point(330,230)[red,label('P'),hidden];
	$AnC	Circle($Ccentr,$PonCir)[red,hidden];
	$LDiam	Line($PonCir,$Ccentr)[red,hidden];
	$QonCir Intersect1($LDiam,$AnC)[white,hidden];
	$SDiam  Segment($QonCir,$PonCir)[red,hidden];

	$AstS	Point(50,170)[red,label('A'),hidden];
	$endS	Point(150,250)[red,label('B'),hidden];
	$Segm	Segment($AstS,$endS)[red,hidden];

$SBDilS	ShowButton(  0, 30,'Segments')($SOu,$SOux2Dil,$Suux2Dil)[magenta, hidden];
$HBDilS	HideButton( 65, 30,'Hide'    )($SOu,$SOux2Dil,$Suux2Dil)[magenta, hidden];

$SBDilTr ShowButton(  0, 50,'Trace')($utr,$ux2Diltr)[blue,hidden];
$HBDilTr HideButton( 65, 50,'Stop' )($utr,$ux2Diltr)[blue,hidden];

$ABDilSeg AnimateButton(0,100,'Animate on segment')($u,$Segm)(3)(0)(0)[red, hidden];
$LocSDil  Locus($ux2Dil,$u,$Segm,10)[blue,thick,hidden];
$SBLocSDil ShowButton( 0,120,'Locus')($LocSDil)[blue,hidden];
$HBLocSDil HideButton(65,120,'Hide') ($LocSDil)[blue,hidden];

$ABDilCir AnimateButton(0,140,'Animate on circle') ($u,$AnC)(3)(0)(0)[red,hidden];
$LocCDil  Locus($ux2Dil,$u,$AnC,40)[blue,thick,hidden];
$SBLocCDil ShowButton( 0,160,'Locus')($LocCDil)[blue,hidden];
$HBLocCDil HideButton(65,160,'Hide') ($LocCDil)[blue,hidden];

$SBSTDil ShowButton(  0, 80,'Animations')($AstS,$endS,$Segm,$ABDilSeg,$AnC,$Ccentr,$PonCir,$QonCir,$SDiam,$ABDilCir,$SBLocSDil,$HBLocSDil,$SBLocCDil,$HBLocCDil)[black,hidden];
$HBSTDil HideButton( 75, 80,'Hide' )     ($AstS,$endS,$Segm,$ABDilSeg,$AnC,$Ccentr,$PonCir,$QonCir,$SDiam,$ABDilCir,$SBLocSDil,$HBLocSDil,$SBLocCDil,$HBLocCDil,$LocSDil,$LocCDil)[black,hidden];

$SBDil	ShowButton(  0,  0,'DILATION by c')($Suux2Dil,$SBDilS,$HBDilS,$SBDilTr,$HBDilTr,$SBSTDil,$HBSTDil)[blue];
$HBDil	HideButton(105,  0,'Hide')($Suux2Dil,$SOu,$SOux2Dil,$Suux2Dil,$utr,$ux2Diltr,$SBDilS,$HBDilS,$SBDilTr,$HBDilTr,$SBSTDil,$HBSTDil,$AstS,$endS,$Segm,$ABDilSeg,$AnC,$Ccentr,$PonCir,$QonCir,$SDiam,$ABDilCir,$SBLocSDil,$HBLocSDil,$SBLocCDil,$HBLocCDil,$LocSDil,$LocCDil)[blue];

$SBc	ShowButton(300,365,'Change c')($RO,$RL,$Rptc,$RectA)[red];
$HBc	HideButton(362,365,'Fix c')(   $RO,$RL,$Rptc,$RectA)[red];
</JSP>