<html>
<head>
<title>
Logaritmifunktiot <i>a</i><sup>x</sup>
</title>
</head>
<H2>
Logaritmifunktiot <i>a</i><sup>x</sup>
</H2>

<font size = +1>
Samassa kuviossa on mahdollisuus leikkiä erikantaisilla logaritmifunktioilla.
</font>
<hr WIDTH="100%">

<JSP>
${
Eksponenttifunktiot
#CODEBASE="http://cs.uef.fi/matematiikka/java/javasketchpad"
$}
#CODEBASE="../../../../java/javasketchpad"
#ARCHIVE  = "jsp4.jar"
#WIDTH = 405
#HEIGHT= 420
#ALIGN    = Center
*Frame          =   1
*TextFont       =   "Helvetica"
*TextBold       =   1
*TextSize       =  18
*LabelFont      =   "Courier"
*LabelBold      =   1
*MeasureFont        =   "Courier"
*MeasureSize        =  14
*MeasureBold        =   1
*MeasureInDegrees   =   1
*DirectedAngles     =   0
*BackRed          =255
*BackGreen        =255
*BackBlue         =200

$reset  FixedText(385,15,'Reset = ''R''')[red,bold,justifyRight];
$xText  FixedText(385,195,'x')[bold, black,justifyCenter];
$yText  FixedText(195, 15,'y')[bold,black,justifyCenter];

${
The Plane Coordinate System
$}
$O  FixedPoint(200,200)[black,label('0')];
$I  UnitPoint($O,75)[white, label('1')];
$coord  Origin&Unit($O,$I)[black];
$Xax    AxisX($coord)[black];
$vert   AxisY($coord)[black,hidden];
$start  FixedPoint(200,380)[hidden];
$Yax    Ray($O,$start)[black];
$UC Circle($O,$I)[black,hidden];
$J  Intersect2($Yax,$UC)[white,label('1')];
$R2 VectorTranslation($I,$O,$I)[white,label('2')];
$R3 VectorTranslation($R2,$O,$I)[white,label('3')];
$e  Dilation($I,$O,2.718282)[magenta,label('e')];

${
The Real Line
$}
$RO FixedPoint(200,400)[black,label('0')];
$Ref    Translation($RO,100,0)[hidden];
$Ray    Ray($Ref,$RO)[hidden,black,hidden];
$Rykk   Point on object($Ray,0.5)[yellow,label('1')];
$Rkakk  VectorTranslation($Rykk,$RO,$Rykk)[white,label('2')];
$Re Dilation($Rykk,$RO,2.718282)[magenta,label('e')];
$R10    Dilation($Rykk,$RO,10)[magenta,label('10')];
$RL Line($Rykk,$RO)[black];

$LUpp   FixedPoint(0,390)[hidden];
$LLow   FixedPoint(0,420)[hidden];
$RLow   FixedPoint(400,420)[hidden];
$RUpp   FixedPoint(400,390)[hidden];
$RectA  Polygon($LUpp,$LLow,$RLow,$RUpp,$LUpp)[yellow,layer(100)];

$left   Point on object($Xax,-0.1)[cyan];
$right  Point on object($Xax,1.1)[cyan];
$SXax   Segment($left,$right)[black];

$x  Point on object($Xax,0.6)[red,label('x')];
$xval   Ratio/Points($O,$I,$x,0,60,'x      = ')[red,hidden];
$xvalk  Ratio/Points($O,$I,$x,0,290,'x        = ')[red,hidden];
$fval   Calculate(0,75,'ln x  = ','A @ln__')($xval)[magenta,hidden];
$fx Dilation/MarkedRatio($J,$O,$fval)[magenta, label('ln x')];
$xL Perpendicular($Xax,$x)[green,hidden];
$yL Perpendicular($Yax,$fx)[green,hidden];
$xfx    Intersect($xL,$yL)[magenta,hidden];
$xfxtr  Intersect($xL,$yL)[magenta,traced,hidden];
$Sxfx   Segment($x,$xfx)[magenta,hidden];
$Sfxxfx Segment($fx,$xfx)[magenta,hidden];
$Locf   Locus($xfx,$x,$SXax,40)[magenta,hidden];

$Rptk   Point on object($RL,1.5)[label('a'),blue,hidden];
$Rk Ratio/Points($RO,$Rykk,$Rptk,0,305,'a       = ')[blue,hidden];
$kfval  Calculate(0,320,'log_a x = ','A @ln__ B @ln__ /')($xvalk,$Rk)[blue,hidden];
$kfx    Dilation/MarkedRatio($J,$O,$kfval)[blue, label('log_a x'),hidden];
$kyL    Perpendicular($Yax,$kfx)[green,hidden];
$xkfx   Intersect($xL,$kyL)[blue,hidden];
$Sxkfx  Segment($x,$xkfx)[blue,hidden];
$Sfxxkfx Segment($kfx,$xkfx)[blue,hidden];
$xkfxtr Intersect($xL,$kyL)[blue,traced,hidden];
$Lockf  Locus($xkfx,$x,$SXax,40)[blue,hidden];

$SBS    ShowButton( 0,100, 'Janat')($xfx,$Sxfx,$Sfxxfx)[magenta,hidden];
$HBS    HideButton(90,100, 'Piilota')    ($xfx,$Sxfx,$Sfxxfx)[magenta,hidden];

$SBTrex ShowButton( 0,120, 'Jäljitä (x,ln x)')($xfxtr)[magenta,hidden];
$HBTrex HideButton(90,120, 'Lopeta')         ($xfxtr)[magenta,hidden];

$SBLof  ShowButton( 0,140, 'Kuvaaja')($Locf)[magenta,hidden];
$HBLof  HideButton(90,140, 'Piilota')      ($Locf)[magenta,hidden];

$SBex   ShowButton( 0,25, 'Näytä ln x')($xval,$fx,$fval,$SBS,$HBS,$SBTrex,$HBTrex,$SBLof,$HBLof)[magenta,hidden];
$HBex   HideButton(85,25, 'Piilota')(    $xval,$fx,$fval,$SBS,$HBS,$SBTrex,$HBTrex,$SBLof,$HBLof,$fx,$Locf,$xfx,$Sxfx,$Sfxxfx)[magenta,hidden];

$SBSk   ShowButton( 0,330, 'Janat')($xkfx,$Sxkfx,$Sfxxkfx)[blue,hidden];
$HBSk   HideButton(85,330, 'Piilota')    ($xkfx,$Sxkfx,$Sfxxkfx)[blue,hidden];

$SBTrexk    ShowButton( 0,350, 'Jäljitä (x,log_a x)')($xkfxtr)[blue,hidden];
$HBTrexk    HideButton(100,350, 'Lopeta')          ($xkfxtr)[blue,hidden];

$SBLofk ShowButton( 0,370, 'Kuvaaja')($Lockf)[blue,hidden];
$HBLofk HideButton(100,370, 'Piilota')      ($Lockf)[blue,hidden];

$SBexk  ShowButton( 0,255, 'Näytä log_a x')($Rptk,$Rk,$xvalk,$kfx,$kfval,$SBSk,$HBSk,$SBTrexk,$HBTrexk,$SBLofk,$HBLofk)[blue,hidden];
$HBexk  HideButton(100,255, 'Piilota')(     $Rptk,$Rk,$xvalk,$kfx,$kfval,$SBSk,$HBSk,$SBTrexk,$HBTrexk,$SBLofk,$HBLofk,$kfx,$Lockf,$xkfx,$Sxkfx,$Sfxxkfx)[blue,hidden];

$SB ShowButton( 0,0, 'NAPPULAT')($SBex,$HBex,$SBexk,$HBexk)[black];
$HB HideButton(85,0, 'Piilota')   ($SBex,$HBex,$SBexk,$HBexk,$SBS,$HBS,$SBTrex,$HBTrex,$SBLof,$HBLof,$SBSk,$HBSk,$SBTrexk,$HBTrexk,$SBLofk,$HBLofk)[black];
</JSP>
<hr>
Martti E. Pesonen muinoin / 27.9.2009
</html>
