<html>
<head>
<title>
Polynomifunktioita
</title>
</head>
<H2>
Polynomifunktioita
</H2>

<div class="p"><!----></div>
<font size="+1">
Kuviossa voi leikkiä erilaisilla polynomifunktioilla 
<i>P</i>(<i>x</i>) 
= <i>a</i> + <i>b</i> <i>x</i> + <i>c</i> <i>x</i><sup>2</sup> 
+ <i>d</i> <i>x</i><sup>3</sup> + <i>e</i> <i>x</i><sup>4</sup> + <i>f</i> <i>x</i><sup>5</sup>.
</font>
<p>
<JSP>
${
Polynomifunktiot a + bx + cx^2 + dx^3 + ex^4 + fx^5
$}
#CODEBASE="http://www.joensuu.fi/matematiikka/java/javasketchpad"
#ARCHIVE  = "jsp4.jar"
#WIDTH = 600
#HEIGHT= 530
#ALIGN    = Center
*Frame          =   1
*TextFont       =   "Helvetica"
*TextBold       =   1
*TextSize       =  18
*LabelFont      =   "Courier"
*LabelBold      =   1
*MeasureFont        =   "Courier"
*MeasureSize        =  	14
*MeasureBold        =   1
*MeasureInDegrees   =   1
*DirectedAngles     =   0
*BackRed          =	250
*BackGreen        =	255
*BackBlue         =	250

$reset  FixedText(585,20,'Reset = ''R''')[red,bold,justifyRight];
$ctrace FixedText(560,523,'Clear trace-->')[red,justifyRight,hidden];
$xText  FixedText(585,245,'x')[bold, black,justifyCenter];
$yText  FixedText(295, 15,'y')[bold,black,justifyCenter];

${
The Plane Coordinate System
$}
$O  	FixedPoint(300,250)[black,label('0')];
$I1  	UnitPoint($O,50)[white,label('1'), layer(10), hidden];
$Xax	Line($I1,$O)[black];
$I	Point on object($Xax,1)[red,label('1'), layer(15)];	

$R2 VectorTranslation($I,$O,$I)[white, label('2')];
$coord  Origin&Unit($O,$I)[black,hidden];


$C2 Circle($O,$R2)[black,hidden];
$J2	Point on object($C2, -1.5707963267948966192)[red, label('2'), layer(20)];
$S2	Segment($O,$J2)[hidden];
$J	Midpoint($S2)[white,label('1')];
$Yax    Line($J,$O)[black];

${
$Xaxis  AxisX($coord)[yellow,hidden];
$vert   AxisY($coord)[black,hidden];
$start  FixedPoint(300,420)[hidden];
$Yax    Ray($O,$start)[black];
$J  	Intersect2($Yax,$UC)[white,label('1'),layer(20)];
$}

${
The Real Lines for a, b, c, d, e, f
$}
$ROa 	FixedPoint(300,510)[white,label('0')];
$Refa   Translation($ROa,50,0)[hidden];
$Raya   Ray($Refa,$ROa)[hidden,black];
$Rykka  FixedPoint(350,510)[yellow, label('1')];
${
$Rykka  Point on object($Raya,1)[yellow, label('1')];
$}
$RLa 	Line($Rykka,$ROa)[black];
$Rpta   Point on object($RLa,0.5)[label('a'),red];

$ROb 	Translation($ROa,0,15)[white,label('0')];
$Refb   Translation($ROb,50,0)[hidden];
$Rayb   Ray($Refb,$ROb)[hidden,black];
${
$Rykkb  Point on object($Rayb,1)[yellow, label('1')];
$}
$Rykkb  Translation($Rykka,0,15)[yellow, label('1')];
$RLb 	Line($Rykkb,$ROb)[black];
$Rptb   Point on object($RLb,-0.5)[label('b'),blue];

$ROc 	Translation($ROb,0,15)[white,label('0')];
$Refc   Translation($ROc,50,0)[hidden];
$Rayc   Ray($Refc,$ROc)[hidden,black];
${
$Rykkc  Point on object($Rayc,1)[yellow, label('1')];
$}
$Rykkc  Translation($Rykkb,0,15)[yellow, label('1')];
$RLc 	Line($Rykkc,$ROc)[black];
$Rptc   Point on object($RLc,0.5)[label('c'),black];

$ROd 	Translation($ROc,0,15)[white,label('0')];
$Refd   Translation($ROd,50,0)[hidden];
$Rayd   Ray($Refd,$ROd)[hidden,black];
${
$Rykkd  Point on object($Rayd,1)[yellow, label('1')];
$}
$Rykkd  Translation($Rykkc,0,15)[yellow, label('1')];
$RLd 	Line($Rykkd,$ROd)[black];

$Rptd   Point on object($RLd,-0.5)[label('d'),magenta];

$ROe 	Translation($ROd,0,15)[white,label('0')];
$Refe   Translation($ROe,50,0)[hidden];
$Raye   Ray($Refe,$ROe)[hidden,black];
${
$Rykke  Point on object($Raye,1)[yellow, label('1')];
$}
$Rykke  Translation($Rykkd,0,15)[yellow, label('1')];
$RLe 	Line($Rykke,$ROe)[black];

$Rpte   Point on object($RLe,0.5)[label('e'),color(200,200,0)];

$ROf 	Translation($ROe,0,15)[white,label('0')];
$Reff   Translation($ROf,50,0)[hidden];
$Rayf   Ray($Reff,$ROf)[hidden,black];
${
$Rykke  Point on object($Raye,1)[yellow, label('1')];
$}
$Rykkf  Translation($Rykke,0,15)[yellow, label('1')];
$RLf 	Line($Rykkf,$ROf)[black];

$Rptf   Point on object($RLf,-0.5)[label('f'),color(12,171,3)];

$Ra     Ratio/Points($ROa,$Rykka,$Rpta,500, 509,'a = ')[red];
$Rb     Ratio/Points($ROb,$Rykkb,$Rptb,500, 494,'b = ')[blue];
$Rc     Ratio/Points($ROc,$Rykkc,$Rptc,500, 479,'c = ')[black];
$Rd     Ratio/Points($ROd,$Rykkd,$Rptd,500, 464,'d = ')[magenta];
$Re     Ratio/Points($ROe,$Rykke,$Rpte,500, 449,'e = ')[color(200,200,0)];
$Rf     Ratio/Points($ROf,$Rykkf,$Rptf,500, 434,'f = ')[color(12,171,3)];

$LUpp   FixedPoint(0,420)[hidden];
$LLow   FixedPoint(0,530)[hidden];
$RLow   FixedPoint(605,530)[hidden];
$RUpp   FixedPoint(605,420)[hidden];
$RectA  Polygon($LUpp,$LLow,$RLow,$RUpp,$LUpp)[yellow,layer(100)];

${
The limiting segment
$}
$left   Point on object($Xax,-5)[cyan, label('A')];
$right  Point on object($Xax,5)[cyan, label('B')];
$SXax   Segment($right,$left)[cyan,thick];

$x  Point on object($Xax,-1)[red,label('x'), layer(30)];
$xval   Ratio/Points($O,$I,$x,0, 33,'x   = ')[red];

$Pval   Calculate(0,47,'P(x) = ','A BG* + CG2^ * + DG3^ * + EG4^ * + FG5^ * +')($Ra,$Rb,$Rc,$Rd,$Re,$Rf,$xval)[blue,hidden];
$Px    Dilation/MarkedRatio($J,$O,$Pval)[black, label('y = P(x)'),hidden];

$xL Parallel($Yax,$x)[color(0,150,0),hidden];
$yL Parallel($Xax,$Px)[color(0,150,0),hidden];
${
$PyL    Perpendicular($Yax,$Px)[color(0,150,0),hidden];
$}
$xPx   Intersect($xL,$yL)[blue,hidden];
$SxPx  Segment($x,$xPx)[blue,hidden];
$SPxxPx Segment($Px,$xPx)[blue,hidden];
$xPxtr Intersect($xL,$yL)[blue,traced,hidden];
$LocP  Locus($xPx,$x,$SXax,400)[blue];



${
$xL Perpendicular($Xax,$x)[color(0,150,0),hidden];
$yL Perpendicular($Yax,$Px)[color(0,150,0),hidden];

$PyL    Perpendicular($Yax,$Px)[color(0,150,0),hidden];
$xPx   Intersect($xL,$PyL)[blue,hidden];
$SxPx  Segment($x,$xPx)[blue,hidden];
$SPxxPx Segment($Px,$xPx)[blue,hidden];
$xPxtr Intersect($xL,$PyL)[blue,traced,hidden];
$LocP  Locus($xPx,$x,$SXax,100)[blue];
$}

${
$fval   Calculate(0,90,'sin(x) = ','A @sin_')($xval)[black,hidden];
$fx Dilation/MarkedRatio($J,$O,$fval)[black, label('y = P(x)')];
$xfx    Intersect($xL,$yL)[black,hidden];
$xfxtr  Intersect($xL,$yL)[black,traced,hidden];
$Sxfx   Segment($x,$xfx)[red,hidden];
$Sfxxfx Segment($fx,$xfx)[black,hidden];
$Locf   Locus($xfx,$x,$SXax,100)[black];

$SBS    ShowButton( 0,100, 'Segments')($xfx,$Sxfx,$Sfxxfx)[magenta,hidden];
$HBS    HideButton(100,100, 'Hide')    ($xfx,$Sxfx,$Sfxxfx)[magenta,hidden];

$SBTrex ShowButton( 0,120, 'Trace (x,sin(x))')($xfxtr,$ctrace)[magenta,hidden];
$HBTrex HideButton(100,120, 'Stop')         ($xfxtr)[magenta,hidden];

$SBLof  ShowButton( 0,140, 'Graph')($Locf)[magenta,hidden];
$HBLof  HideButton(100,140, 'Hide')      ($Locf)[magenta,hidden];

$SBex   ShowButton( 0,25, 'Show sin')($xval,$fx,$fval,$SBS,$HBS,$SBTrex,$HBTrex,$SBLof,$HBLof)[magenta,hidden];
$HBex   HideButton(85,25, 'Hide')(    $xval,$fx,$fval,$SBS,$HBS,$SBTrex,$HBTrex,$SBLof,$HBLof,$fx,$Locf,$xfx,$Sxfx,$Sfxxfx)[magenta,hidden];
$}

$AnB    AnimateButton(0,115,'Animate v')($x,$SXax)(3)(1)(1)[red, hidden]; 

$SBSP   ShowButton( 0, 50, 'Segments')($xPx,$SxPx,$SPxxPx)[blue,hidden];
$HBSP   HideButton(95, 50, 'Hide')    ($xPx,$SxPx,$SPxxPx)[blue,hidden];

$SBTrexk ShowButton( 0, 70, 'Trace (x,P(x))')($xPxtr,$ctrace)[blue,hidden];
$HBTrexk HideButton(95, 70, 'Stop')          ($xPxtr)[blue,hidden];

$SBLoP ShowButton( 0, 90, 'Graph')($LocP)[blue,hidden];
$HBLoP HideButton(95, 90, 'Hide')($LocP)[blue,hidden];

$SBexP  ShowButton( 0,  0, 'Show P(x)')($ctrace,$AnB,$Px,$Pval,$SBSP,$HBSP,$SBTrexk,$HBTrexk,$SBLoP,$HBLoP)[blue];
$HBexP  HideButton(75,  0, 'Hide')(     $AnB,$Px,$Pval,$SBSP,$HBSP,$SBTrexk,$HBTrexk,$SBLoP,$HBLoP,$Px,$LocP,$xPx,$SxPx,$SPxxPx)[blue];


</JSP>

</html>
