<html>
<head>
<title>
Potenssi- ja juurifunktioita
</title>
</head>
<H2>
Potenssi- ja juurifunktioita
</H2>

<font size = +1>
Samassa kuviossa on mahdollisuus leikkiä sekä potenssi- että juurifunktioilla, nehän ovat ainakin osittain
"duaalisia".
</font>

<hr WIDTH="100%">
<JSP>
${
16. Potenssi- ja juurifunktiot
#CODEBASE="http://www.joensuu.fi/matematiikka/java/javasketchpad"
$}
#CODEBASE="../../../../java/javasketchpad"
#ARCHIVE  = "jsp4.jar"
#WIDTH = 405
#HEIGHT= 420
#ALIGN    = Center
*Frame          =   1
*TextFont       =   "Helvetica"
*TextBold       =   1
*TextSize       =  18
*LabelFont      =   "Courier"
*LabelBold      =   1
*MeasureFont        =   "Courier"
*MeasureSize        =  14
*MeasureBold        =   1
*MeasureInDegrees   =   1
*DirectedAngles     =   0
*BackRed          =250
*BackGreen        =250
*BackBlue         =240

$reset  FixedText(385,15,'Reset = ''R''')[red,bold,justifyRight];
$xText  FixedText(385,195,'x')[bold, black,justifyCenter];
$yText  FixedText(195, 15,'y')[bold,black,justifyCenter];

${
The Plane Coordinate System
$}
$O  FixedPoint(200,200)[black,label('0')];
$I  UnitPoint($O,50)[white,label('1')];
$coord  Origin&Unit($O,$I)[black];
$Xax    AxisX($coord)[yellow];
$vert   AxisY($coord)[black,hidden];
$start  FixedPoint(200,380)[hidden];
$Yax    Ray($O,$start)[black];
$UC Circle($O,$I)[black,hidden];
$J  Intersect2($Yax,$UC)[white,label('1')];
$R2 VectorTranslation($I,$O,$I)[white,label('2')];

${
The Real Line
$}
$RO FixedPoint(200,400)[black,label('0')];
$Ref    Translation($RO,50,0)[hidden];
$Ray    Ray($Ref,$RO)[hidden,black];
$Rykk   Point on object($Ray,1)[yellow, label('1')];
$RL Line($Rykk,$RO)[black];
$Rptk   Point on object($RL,2)[label('r'),blue];
$Rk1    Ratio/Points($RO,$Rykk,$Rptk,0, 75,'r   = ')[blue,hidden];
$Rk2    Ratio/Points($RO,$Rykk,$Rptk,0,305,'r       = ')[blue,hidden];

$LUpp   FixedPoint(0,390)[hidden];
$LLow   FixedPoint(0,420)[hidden];
$RLow   FixedPoint(400,420)[hidden];
$RUpp   FixedPoint(400,390)[hidden];
$RectA  Polygon($LUpp,$LLow,$RLow,$RUpp,$LUpp)[yellow,layer(100)];

${
The limiting segment
$}
$left   Point on object($Xax,-0.1)[cyan];
$right  Point on object($Xax,1.1)[cyan];
$SXax   Segment($left,$right)[black];

$x  Point on object($Xax,0.6)[red,label('x')];
$xval   Ratio/Points($O,$I,$x,0, 60,'x   = ')[red,hidden];
$xvalk  Ratio/Points($O,$I,$x,0,290,'x       = ')[red,hidden];
$fval   Calculate(0,90,'x^r = ','A B ^')($xval,$Rk1)[magenta,hidden];
$kfval  Calculate(0,320,'x^(1/r) = ','A B 0 1- ^ ^')($xval,$Rk2)[blue,hidden];
$fx Dilation/MarkedRatio($J,$O,$fval)[magenta, label('x^r')];
$xL Perpendicular($Xax,$x)[color(0,150,0),hidden];
$yL Perpendicular($Yax,$fx)[color(0,150,0),hidden];
$xfx    Intersect($xL,$yL)[magenta,hidden];
$xfxtr  Intersect($xL,$yL)[magenta,traced,hidden];
$Sxfx   Segment($x,$xfx)[magenta,hidden];
$Sfxxfx Segment($fx,$xfx)[magenta,hidden];
$Locf   Locus($xfx,$x,$SXax,40)[magenta,hidden];

$kfx    Dilation/MarkedRatio($J,$O,$kfval)[blue, label('x^(1/r)'),hidden];
$kyL    Perpendicular($Yax,$kfx)[color(0,150,0),hidden];
$xkfx   Intersect($xL,$kyL)[blue,hidden];
$Sxkfx  Segment($x,$xkfx)[blue,hidden];
$Sfxxkfx Segment($kfx,$xkfx)[blue,hidden];
$xkfxtr Intersect($xL,$kyL)[blue,traced,hidden];
$Lockf  Locus($xkfx,$x,$SXax,40)[blue,hidden];

$SBS    ShowButton( 0,100, 'Janat')($xfx,$Sxfx,$Sfxxfx)[magenta,hidden];
$HBS    HideButton(85,100, 'Piilota')    ($xfx,$Sxfx,$Sfxxfx)[magenta,hidden];

$SBTrex ShowButton( 0,120, 'Jäljitä (x,x^r)')($xfxtr)[magenta,hidden];
$HBTrex HideButton(85,120, 'Lopeta')         ($xfxtr)[magenta,hidden];

$SBLof  ShowButton( 0,140, 'Kuvaaja')($Locf)[magenta,hidden];
$HBLof  HideButton(85,140, 'Piilota')      ($Locf)[magenta,hidden];

$SBex   ShowButton( 0,25, 'Näytä x^r')($Rk1,$xval,$fx,$fval,$SBS,$HBS,$SBTrex,$HBTrex,$SBLof,$HBLof)[magenta,hidden];
$HBex   HideButton(85,25, 'Piilota')(    $Rk1,$xval,$fx,$fval,$SBS,$HBS,$SBTrex,$HBTrex,$SBLof,$HBLof,$fx,$Locf,$xfx,$Sxfx,$Sfxxfx)[magenta,hidden];

$SBSk   ShowButton( 0,330, 'Janat')($xkfx,$Sxkfx,$Sfxxkfx)[blue,hidden];
$HBSk   HideButton(95,330, 'Piilota')    ($xkfx,$Sxkfx,$Sfxxkfx)[blue,hidden];

$SBTrexk ShowButton( 0,350, 'Jäljitä (x,x^(1/r))')($xkfxtr)[blue,hidden];
$HBTrexk HideButton(95,350, 'Lopeta')          ($xkfxtr)[blue,hidden];

$SBLofk ShowButton( 0,370, 'Kuvaaja')($Lockf)[blue,hidden];
$HBLofk HideButton(95,370, 'Piilota')($Lockf)[blue,hidden];

$SBexk  ShowButton( 0,255, 'Näytä x^(1/r)')($RO,$Rykk,$Ray,$RL,$Rptk,$Rk2,$xvalk,$kfx,$kfval,$SBSk,$HBSk,$SBTrexk,$HBTrexk,$SBLofk,$HBLofk)[blue,hidden];
$HBexk  HideButton(85,255, 'Piilota')(     $Rk2,$xvalk,$kfx,$kfval,$SBSk,$HBSk,$SBTrexk,$HBTrexk,$SBLofk,$HBLofk,$kfx,$Lockf,$xkfx,$Sxkfx,$Sfxxkfx)[blue,hidden];

$SB ShowButton( 0,0, 'NAPPULAT')($SBex,$HBex,$SBexk,$HBexk)[black];
$HB HideButton(85,0, 'Piilota')   ($SBex,$HBex,$SBexk,$HBexk,$SBS,$HBS,$SBTrex,$HBTrex,$SBLof,$HBLof,$SBSk,$HBSk,$SBTrexk,$HBTrexk,$SBLofk,$HBLofk)[black];
</JSP>
</html>
