<html>
<head>
<title>
Tangentti
</title>
</head>

<H2>
Tangentti
</H2>

<div class="p"><!----></div>
<font size="+1">
Kuviossa voi tutkia tangentti-funktiota. 
<p>
Huomaa, että kuviossa kulman arvot on rajattu välille [-Pi, Pi], 
joten saadaan kahden perusjakson pituinen kuvio tangenttikäyrää. 
<br>
Alkutilassa animointi lähtee kasvamaan arvosta -Pi/2, ja välillä [-Pi/2, Pi/2] saadaan käännettävissä oleva bijektiivinen perusosa, 
jonka käänreiskuvaus on arkustangentin päähaara.
</font>

<p>
<table>
<tr>
<td>
<JSP>
${
Tangentti
#CODEBASE="http://cs.uef.fi/matematiikka/java/javasketchpad"
$}
#CODEBASE="../../../../java/javasketchpad"
#ARCHIVE  = "jsp4.jar"
#WIDTH = 800
#HEIGHT= 600
#ALIGN    = Center
*Frame          =   1
*TextFont       =   "Helvetica"
*TextBold       =   1
*TextSize       =  18
*LabelFont      =   "Courier"
*LabelBold      =   1
*MeasureFont        =   "Courier"
*MeasureSize        =  	14
*MeasureBold        =   1
*MeasureInDegrees   =   0
*DirectedAngles     =   1
*BackRed          =	250
*BackGreen        =	255
*BackBlue         =	250

   
$reset  FixedText(785,20,'Reset = ''R''')[red, bold, justifyRight];
$ctrace FixedText(560,493,'Clear trace-->')[red, justifyRight, hidden];

${
The Unit circle
$}
$O  	FixedPoint(273,110)[black,label('0')];
$unitp 	UnitPoint($O,80)[white,label('1'), layer(10)];
$OI	Segment($unitp,$O)[black];

$coord  Origin&Unit($O,$unitp)[black, hidden];
$hor    AxisX($coord)[black, hidden];
$vert   AxisY($coord)[black, hidden];

$UCr	Circle($O,$unitp)[black];
$J	Intersect2($vert,$UCr)[white, label('1')];
$OJ	Segment($O,$J)[black];
$Xax	Line($unitp,$O)[black,hidden];
$Yax	Line($J,$O)[black,hidden];

$Pxy	Point on object($UCr,1.57)[red,label('(x,y)'), layer(15)];
$SOPxy	Segment($O,$Pxy)[magenta, thick];
$Lpary	Parallel($Yax,$Pxy)[red, hidden];
$Px 	Intersect($Xax,$Lpary)[black, label('x')];
$SxyPx	Segment($Pxy,$Px)[blue];
$Lparx	Parallel($Xax,$Pxy)[blue, hidden];
$Py 	Intersect($Yax,$Lparx)[black, label('y')];
$SxyPy	Segment($Pxy,$Py)[red];
$SOPx	Segment($O,$Px)[red, thick];
$SOPy	Segment($O,$Py)[blue, thick];


$x	Ratio/Points($O,$unitp,$Px,0,80,'x = ')[red];
$y	Ratio/Points($O,$J,$Py,0,100,'y = ')[blue];

$t 	Angle($unitp,$O,$Pxy,0,40,'kulma t = ')[magenta];


${
The coordinate system for the graph
$}
$RO 	FixedPoint(400,300)[white,label('0')];
$RI   	Translation($RO,80,0)[white, label('1')];
$RLx 	Line($RO,$RI)[black];
{,arrowL}
$Piper2	Dilation($RI,$RO,1.5705)[label('pi/2')];
$poisPiper2 VectorTranslation($RO,$Piper2,$RO)[label('-pi/2')];
$Pi	Dilation($RI,$RO,3.14)[label('pi')];
$poisPi	VectorTranslation($RO,$Pi,$RO)[label('-pi')];
$jakso	Segment($poisPiper2,$Piper2)[black, thick];
$jaksoPois1 VectorTranslation($jakso,$Pi,$RO)[black, thick];

$PerpRight Perpendicular($RLx,$Piper2)[green];
$PerpLeft Perpendicular($RLx,$poisPiper2)[green];

$LUpp   FixedPoint(273,0)[hidden];
$LLow   FixedPoint(273,600)[hidden];
$RLow   FixedPoint(527,600)[hidden];
$RUpp   FixedPoint(527,0)[hidden];
$RectA  Polygon($LUpp,$LLow,$RLow,$RUpp,$LUpp)[color(255,255,150)];


$RLy    Perpendicular($RLx,$RO)[black,hidden];
$RUCr	Circle($RO,$RI)[black,hidden];
$RJ	Intersect2($RLy,$RUCr)[white, label('1')];
$VisibleYax Line($RO,$RJ)[black];
{,arrowL}
$RJpois1 VectorTranslation($RO,$RJ,$RO)[white, label('-1')];
$RL1	Parallel($RLx,$RJ)[cyan];
$RLpois1 Parallel($RLx,$RJpois1)[cyan];

$Rt	Dilation/MarkedRatio($RI,$RO,$t)[magenta, label('t')];
$RLparRt Parallel($RLy,$Rt)[blue,hidden];

${
sini ja kosini osamäärinä
$}
$Rkosini Calculate(0,120,'cos t = x = ','A1*')($x)[red];
$Rkosiny	Dilation/MarkedRatio($RJ,$RO,$Rkosini)[red,label('cos t'), hidden];
$RLparkosiny Parallel($RLx,$Rkosiny)[red, hidden];
$SRORkosiny Segment($Rkosiny, $RO)[red, thick, layer(10), hidden];

$Rsini	Calculate(0,140,'sin t = y = ','A1*')($y)[blue];
$Rsiny	Dilation/MarkedRatio($RJ,$RO,$Rsini)[blue, label('sin t'), hidden];
$RLparsiny Parallel($RLx,$Rsiny)[blue, hidden];
$SRORsiny Segment($Rsiny, $RO)[blue, thick, hidden];

$Rtan	Calculate(0,160,'tan t = y/x = ','AB/')($y,$x)[magenta];
$Rtany	Dilation/MarkedRatio($RJ,$RO,$Rtan)[magenta, label('tan t'), hidden];
$RLpartany Parallel($RLx,$Rtany)[magenta, hidden];
$SRORtany Segment($Rtany, $RO)[magenta, thick, hidden];

$Rtkosint 	Intersect($RLparkosiny,$RLparRt)[red, label('(t, cos t)'), hidden];
$RSkosinytkosint Segment($Rkosiny,$Rtkosint)[red, hidden];
$RSRttkosint 	Segment($Rt,$Rtkosint)[red, thick, layer(10), hidden];

$Rtsint		Intersect($RLparsiny,$RLparRt)[blue, label('(t, sin t)'), hidden];
$RSsinytsint 	Segment($Rsiny,$Rtsint)[blue, hidden];
$RSRttsint 	Segment($Rt,$Rtsint)[blue, thick, hidden];

$Rttant		Intersect($RLpartany,$RLparRt)[magenta, label('(t, tan t)'), hidden];
$RStanyttant 	Segment($Rtany,$Rttant)[magenta, hidden];
$RSRtttant 	Segment($Rt,$Rttant)[magenta, thick, hidden];

$SRORt	Segment($poisPi,$Rt)[hidden];

$Rpta   Point on object($SRORt,0.3)[label('a'), red, hidden];
$avalue	Ratio/points($RO,$RI,$Rpta,0,200,'a = ')[red, hidden];

$sinia	Calculate(0,220,'sin a = ','A @sin_')($avalue)[blue, hidden];

$Rsina	Dilation/MarkedRatio($RJ,$RO,$sinia)[label('sin a'), hidden];
$SROsina Segment($Rsina,$RO)[blue, hidden];
$Rasina VectorTranslation($Rsina,$RO,$Rpta)[blue, label('(a, sin a)'), hidden];
$SRasina Segment($Rasina,$Rpta)[blue, hidden];

$SinLoc	Locus($Rasina,$Rpta,$SRORt,20)[blue, layer(10), hidden];

$kosinia	Calculate(0,220,'cos a = ','A @cos_')($avalue)[red, hidden];

$Rkosina	Dilation/MarkedRatio($RJ,$RO,$kosinia)[red, label('cos a'), hidden];
$SROkosina Segment($Rkosina,$RO)[blue, hidden];
$Rakosina VectorTranslation($Rkosina,$RO,$Rpta)[red, label('(a, cos a)'), hidden];
$SRakosina Segment($Rakosina,$Rpta)[red, hidden];

$CosLoc	Locus($Rakosina,$Rpta,$SRORt,20)[red, layer(10), hidden];

$Rtan	Calculate(0,160,'tan t = y/x = ','AB/')($y,$x)[magenta];
$Rcot	Calculate(0,180,'cot t = x/y = ','AB/')($x,$y)[magenta];

$tana	Calculate(0,220,'tan a = ','A @tan_')($avalue)[blue, hidden];

$Rtana	Dilation/MarkedRatio($RJ,$RO,$tana)[label('tan a'), hidden];
$SROtana Segment($Rtana,$RO)[blue, hidden];
$Ratana VectorTranslation($Rtana,$RO,$Rpta)[blue, label('(a, tan a)'), hidden];
$SRatana Segment($Ratana,$Rpta)[blue, hidden];

$TanLoc	Locus($Ratana,$Rpta,$SRORt,20)[magenta, layer(10), hidden];


$AnBxyOnCircle AnimateButton(0,0,'Animoi (x,y)')($Pxy,$UCr)(3)(1)(1)[magenta, bold]; 

$SBKosini 	ShowButton(  0,400, 'Näytä kosini')($CosLoc,$Rtkosint,$RSkosinytkosint,$RSRttkosint,$Rkosiny,$SRORkosiny)[red, bold];
$HBKosini 	HideButton(135,400, 'Piilota')(     $CosLoc,$Rtkosint,$RSkosinytkosint,$RSRttkosint,$Rkosiny,$SRORkosiny)[red];
$SBSini 	ShowButton(  0,425, 'Näytä sini')(  $SinLoc,$Rtsint,$RSsinytsint,$RSRttsint,$Rsiny,$SRORsiny)[blue, bold];
$HBSini 	HideButton(135,425, 'Piilota')(     $SinLoc,$Rtsint,$RSsinytsint,$RSRttsint,$Rsiny,$SRORsiny)[blue];
$SBTan		ShowButton(  0,450, 'Näytä tangentti')($TanLoc,$Rttant,$RStanyttant,$RSRtttant,$Rtany,$SRORtany)[magenta, bold];
$HBTan		HideButton(135,450, 'Piilota')(        $TanLoc,$Rttant,$RStanyttant,$RSRtttant,$Rtany,$SRORtany)[magenta];
</JSP>
</td>
<td>
<font size="+1" >
Voit raahata hiirellä kehäpistettä (<i>x</i>, <i>y</i>), samoin voit muuttaa ympyrän sädettä <i>r</i>.

<p>
Voit saada nappuloiden avulla erilaisia lisätoimintoja, kokeile!
<p>
Kuvion resetointi eli alkutilan palautus tapahtuu näppäimistön r-kirjamella (kunhan kuvio on ensin klikattu aktiiviseksi).
<p>
Zoomaukset?
</font>
</td>
</tr>
</table>

<hr>

<hr>
Martti E. Pesonen 31.10.2007, 24.11.2008, 28.11.2017
</html>
